<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns="http://www.hyfinity.com/xstore" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">APD_DPSect2</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template match="/">
		<div class="subsection_container" id="subsection_APD_DPSect2" xmlns="">
			<out:call-template name="section_body" />
		</div>
	</out:template>
	<out:template name="css_imports">
		<link href="css/webmaker_layout.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 7]&gt;</out:text>
		<link href="css/webmaker_layout_ie_6_7.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 8]&gt;</out:text>
		<link href="css/demo_ie_only.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo_print_web.css" media="print" rel="stylesheet" type="text/css" />
		<link href="css/demo_mobile.css" media="only screen and (max-width: 1024px)" rel="stylesheet" type="text/css" />
		<link href="css/BLM.css" rel="stylesheet" type="text/css" />
		<link href="css/afmss.css" rel="stylesheet" type="text/css" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/DialogWidgetFix.js" type="text/javascript"></script>
		<script src="js/jquery.min.js" type="text/javascript"></script>
		<script src="js/DocMgmt.js" type="text/javascript"></script>
		<script src="js/APD.js" type="text/javascript"></script>
		<script src="js/Util.js" type="text/javascript"></script>
		<script src="js/DP.js" type="text/javascript"></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" >		<xform:instance id="saveAPD_DP1" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<popFormName />
						<popLithology />
						<popLithOther />
						<popElevation />
						<popTVD />
						<popMD />
						<oMineral />
						<popMinOther />
						<popProdFormation />
						<repeatFormations>
							<oProdFormation />
							<oLithID />
							<oMinID />
							<oFormID />
							<oDPFormID />
							<oDPID />
						</repeatFormations>
						<tabFormAction />
						<oDPFormID />
						<popDPID />
						<delDPFormID />
						<delDPID />
						<delAction />
						<formationCount />
						<popRowID />
						<sectionPct />
						<pagePct />
					</formData>
				</Data>
			</eForm>
		</xform:instance>
		<xform:instance id="loadFormations" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<tabFormAction />
						<popFormName />
						<popLithology />
						<popLithOther />
						<popElevation />
						<popTVD />
						<popMD />
						<popMineral />
						<popMinOther />
						<popProdFormation />
						<popDPID />
						<popFormID />
						<repeatFormations>
							<oProdFormation />
							<oDPID />
							<oDPFormID />
							<oFormID />
							<oLithID />
							<oMinID />
						</repeatFormations>
						<delDPFormID />
						<delDPID />
						<delAction />
						<formationCount />
						<popRowID />
						<sectionPct />
						<pagePct />
					</formData>
					<GEO_FORMATION_EDIT xmlns="">
						<record>
							<APP_ID />
							<FRMTN_ID />
							<FRMTN_ZN_NM />
							<DRLNG_PLN_FRMTN_ID />
							<FRMTN_LITH_ID />
							<FRMTN_LITH_OTH_DESC />
							<FRMTN_TRUE_VERT_DEP />
							<FRMTN_ELEV />
							<FRMTN_ME_DEP />
							<FRMTN_PROD_IND />
							<DRLNG_PLN_ID />
							<FRMTN_ROW_ID />
							<MIN_RSRC_ID />
							<MIN_RSRC_DESC />
						</record>
					</GEO_FORMATION_EDIT>
				</Data>
			</eForm>
		</xform:instance>
		<div _use="group" class="vertical" id="DPSect1">
			<fieldset class="fieldsetGroup vertical" id="grpSection1">
				<legend class="groupLabelOutside fieldsetGroupLabelBackground" id="grpSection1_label_container">
					<span class="label" id="grpSection1_label">Section 1 - Geologic Formations</span>
				</legend>
				<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid" summary="">
					<tr>
						<td class="partialPageContainer vertical" colspan="4" id="ppgFormationTable" />
					</tr>
					<tr>
						<td> </td>
						<td> </td>
						<td> </td>
						<td class="defaultBackground" id="btnAdd_container">
							<input class="button" id="btnAdd" name="btnAdd" onclick="return btnAddonclick((typeof(event) != 'undefined') ? event : arguments[0]);" type="button" value="Add...">
								<out:attribute name="data-wm-disable-class">
									<out:text>disabledButton </out:text>
								</out:attribute>
							</input>
						</td>
					</tr>
					<tr>
						<td> </td>
						<td> </td>
						<td> </td>
						<td> </td>
					</tr>
				</table>
				<div class="vertical" id="layoutHidden">
					<div class="formElement">
						<span class="labelBackground" id="tabFormAction_label_container">
							<label class="label" for="tabFormAction" id="tabFormAction_label">Table Action</label>
						</span>
						<span class="defaultBackground" id="tabFormAction_container">
							<input class="textbox" id="tabFormAction" name="tabFormAction" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:tabFormAction}" />
							<input name="tabFormAction_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:tabFormAction" xmlns="" />
							<span id="tabFormAction_message_container"></span>
						</span>
					</div>
					<div class="formElement">
						<span class="labelBackground" id="formationCount_label_container">
							<label class="label" for="formationCount" id="formationCount_label">Formation count</label>
						</span>
						<span class="defaultBackground" id="formationCount_container">
							<input class="textbox" id="formationCount" name="formationCount" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:formationCount}">
								<out:if test="not(/mvc:eForm/mvc:Data/mvc:formData/mvc:formationCount) or (/mvc:eForm/mvc:Data/mvc:formData/mvc:formationCount = '')">
									<out:attribute name="value">0</out:attribute>
								</out:if>
							</input>
							<input name="formationCount_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:formationCount" xmlns="" />
							<span id="formationCount_message_container"></span>
						</span>
					</div>
					<div class="formElement">
						<span class="labelBackground" id="sectionPct_label_container">
							<label class="label" for="sectionPct" id="sectionPct_label">Sect pct</label>
						</span>
						<span class="defaultBackground" id="sectionPct_container">
							<input class="textbox" id="sectionPct" name="sectionPct" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:sectionPct}" />
							<input name="sectionPct_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:sectionPct" xmlns="" />
							<span id="sectionPct_message_container"></span>
						</span>
					</div>
					<div class="formElement">
						<span class="labelBackground" id="pagePct_label_container">
							<label class="label" for="pagePct" id="pagePct_label">page pct</label>
						</span>
						<span class="defaultBackground" id="pagePct_container">
							<input class="textbox" id="pagePct" name="pagePct" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:pagePct}" />
							<input name="pagePct_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:pagePct" xmlns="" />
							<span id="pagePct_message_container"></span>
						</span>
					</div>
				</div>
			</fieldset>
			<div class="main_body container fitHeight  alignLeft alignTop" id="popup_dialog_formations">
				<div class="form vertical" id="popup_formation_content">
					<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid_3" summary="">
						<tr>
							<td class="labelBackground" id="popRowID_label_container">
								<label class="label" for="popRowID" id="popRowID_label">ID</label>
							</td>
							<td class="defaultBackground" id="popRowID_container">
								<input class="textbox" id="popRowID" maxLength="30" name="popRowID" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popRowID}" />
								<input name="xgf_popRowID_xpath_xga_saveAPD_DP1_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popRowID" xmlns="" />
								<input name="xgf_popRowID_xpath_xga_loadFormations" type="hidden" value="/mvc:eForm/mvc:Data/GEO_FORMATION_EDIT/record/FRMTN_ROW_ID" xmlns="" />
								<span id="popRowID_message_container"></span>
							</td>
							<td class="labelBackground" id="popFormName_label_container" style="width : 176px;">
								<label class="label" for="popFormName" id="popFormName_label">Name *</label>
							</td>
							<td class="defaultBackground" colspan="3" id="popFormName_container">
								<select class="select" id="popFormName" name="popFormName" title="Geologic Horizon below Surface Formation that the well bore passes through.">
									<option value="">
										<out:text>-- Select --</out:text>
									</option>
									<out:for-each select="/mvc:eForm/mvc:Data/FORMATION_REF_VW/record">
										<option value="{FRMTN_ID}" xmlns="">
											<out:if test="FRMTN_ID = /mvc:eForm/mvc:Data/mvc:formData/mvc:popFormName">
												<out:attribute name="selected">selected</out:attribute>
											</out:if>
											<out:value-of select="FRMTN_ZN_NM" />
										</option>
									</out:for-each>
								</select>
								<input name="xgf_popFormName_xpath_xga_saveAPD_DP1_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popFormName" xmlns="" />
								<input name="xgf_popFormName_xpath_xga_loadFormations" type="hidden" value="/mvc:eForm/mvc:Data/GEO_FORMATION_EDIT/record/FRMTN_ID" xmlns="" />
								<span id="popFormName_message_container"></span>
							</td>
						</tr>
						<tr>
							<td class="labelBackground" id="popLithology_label_container" style="width : 225px;">
								<label class="label" for="popLithology" id="popLithology_label">Lithology *</label>
							</td>
							<td class="defaultBackground" id="popLithology_container">
								<select class="select" id="popLithology" name="popLithology" onchange="return popLithologyonchange((typeof(event) != 'undefined') ? event : arguments[0]);" style="width : 178px;" title="The general rock or mineral type of the formation which describes its physical character on the basis of color, mineral composition, fabric, or grain size.">
									<option value="">
										<out:text>-- Select --</out:text>
									</option>
									<out:for-each select="/mvc:eForm/mvc:Data/FORMATION_LITH_REF_VW/record">
										<option value="{FRMTN_LITH_ID}" xmlns="">
											<out:if test="FRMTN_LITH_ID = /mvc:eForm/mvc:Data/mvc:formData/mvc:popLithology">
												<out:attribute name="selected">selected</out:attribute>
											</out:if>
											<out:value-of select="FRMTN_LITH_NM" />
										</option>
									</out:for-each>
								</select>
								<input name="xgf_popLithology_xpath_xga_saveAPD_DP1_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popLithology" xmlns="" />
								<input name="xgf_popLithology_xpath_xga_loadFormations" type="hidden" value="/mvc:eForm/mvc:Data/GEO_FORMATION_EDIT/record/FRMTN_LITH_ID" xmlns="" />
								<span id="popLithology_message_container"></span>
							</td>
							<td class="hidden vertical" colspan="4" id="layoutLithOther">
								<div class="formElement">
									<span class="labelBackground" id="popLithOther_label_container" style="width : 166px;">
										<label class="label" for="popLithOther" id="popLithOther_label">Describe Lithology *</label>
									</span>
									<span class="defaultBackground" id="popLithOther_container">
										<input class="textbox" id="popLithOther" name="popLithOther" title="The general rock or mineral type of the proposed productive? formation which describes its physical character on the basis of color, mineral composition, fabric, or grain size." type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popLithOther}" />
										<input name="xgf_popLithOther_xpath_xga_saveAPD_DP1_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popLithOther" xmlns="" />
										<input name="xgf_popLithOther_xpath_xga_loadFormations" type="hidden" value="/mvc:eForm/mvc:Data/GEO_FORMATION_EDIT/record/FRMTN_LITH_OTH_DESC" xmlns="" />
										<span id="popLithOther_message_container"></span>
									</span>
								</div>
							</td>
						</tr>
						<tr>
							<td class="labelBackground" id="popElevation_label_container" style="width : 225px;">
								<label class="label" for="popElevation" id="popElevation_label">Elevation *</label>
							</td>
							<td class="defaultBackground" id="popElevation_container">
								<input class="textbox" id="popElevation" name="popElevation" size="5" title="Measurement in feet above (+) or below (-) Mean Sea Level to formation top." type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popElevation}" />
								<input name="xgf_popElevation_xpath_xga_saveAPD_DP1_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popElevation" xmlns="" />
								<input name="xgf_popElevation_xpath_xga_loadFormations" type="hidden" value="/mvc:eForm/mvc:Data/GEO_FORMATION_EDIT/record/FRMTN_ELEV" xmlns="" />
								<span id="popElevation_message_container"></span>
							</td>
							<td class="labelBackground" id="popTVD_label_container" style="width : 176px;">
								<label class="label" for="popTVD" id="popTVD_label">True Vertical Depth *</label>
							</td>
							<td class="defaultBackground" id="popTVD_container">
								<input class="textbox" id="popTVD" name="popTVD" size="5" title="Proposed measurement in feet from the surface location to the top of formation in a straight vertical line.  (Feet below Surface Elevation to top of Geologic Horizon.) " type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popTVD}" />
								<input name="xgf_popTVD_xpath_xga_saveAPD_DP1_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popTVD" xmlns="" />
								<input name="xgf_popTVD_xpath_xga_loadFormations" type="hidden" value="/mvc:eForm/mvc:Data/GEO_FORMATION_EDIT/record/FRMTN_TRUE_VERT_DEP" xmlns="" />
								<span id="popTVD_message_container"></span>
							</td>
							<td class="labelBackground" id="popMD_label_container" style="width : 135px;">
								<label class="label" for="popMD" id="popMD_label">Measured Depth *</label>
							</td>
							<td class="defaultBackground" id="popMD_container">
								<input class="textbox" id="popMD" name="popMD" size="5" title="Measurement in feet to formation top from ground level." type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popMD}" />
								<input name="xgf_popMD_xpath_xga_saveAPD_DP1_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popMD" xmlns="" />
								<input name="xgf_popMD_xpath_xga_loadFormations" type="hidden" value="/mvc:eForm/mvc:Data/GEO_FORMATION_EDIT/record/FRMTN_ME_DEP" xmlns="" />
								<span id="popMD_message_container"></span>
							</td>
						</tr>
						<tr>
							<td class="labelBackground" id="popMineral_label_container" style="width : 225px;">
								<label class="label" for="popMineral" id="popMineral_label">Mineral Resource *</label>
							</td>
							<td class="defaultBackground" id="popMineral_container">
								<select class="select" id="popMineral" name="popMineral" onchange="return popMineralonchange((typeof(event) != 'undefined') ? event : arguments[0]);" title="Economic commodities that will be encountered and protected during drilling operations.">
									<option value="">
										<out:text>-- Select --</out:text>
									</option>
									<out:for-each select="/mvc:eForm/mvc:Data/MIN_RSRC_REF_VW/record">
										<option value="{MIN_RSRC_ID}" xmlns="">
											<out:if test="MIN_RSRC_ID = /mvc:eForm/mvc:Data/mvc:formData/mvc:popMineral">
												<out:attribute name="selected">selected</out:attribute>
											</out:if>
											<out:value-of select="MIN_RSRC_NM" />
										</option>
									</out:for-each>
								</select>
								<input name="xgf_popMineral_xpath_xga_saveAPD_DP1_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popMineral" xmlns="" />
								<input name="xgf_popMineral_xpath_xga_loadFormations" type="hidden" value="/mvc:eForm/mvc:Data/GEO_FORMATION_EDIT/record/MIN_RSRC_ID" xmlns="" />
								<span id="popMineral_message_container"></span>
							</td>
							<td class="hidden vertical" colspan="4" id="layoutMinResourceOther">
								<div class="formElement">
									<span class="labelBackground" id="popMinOther_label_container" style="width : 210px;">
										<label class="label" for="popMinOther" id="popMinOther_label">Describe Mineral Resource *</label>
									</span>
									<span class="defaultBackground" id="popMinOther_container">
										<input class="textbox" id="popMinOther" name="popMinOther" style="width : 243px;" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popMinOther}" />
										<input name="xgf_popMinOther_xpath_xga_saveAPD_DP1_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popMinOther" xmlns="" />
										<input name="xgf_popMinOther_xpath_xga_loadFormations" type="hidden" value="/mvc:eForm/mvc:Data/GEO_FORMATION_EDIT/record/MIN_RSRC_DESC" xmlns="" />
										<span id="popMinOther_message_container"></span>
									</span>
								</div>
							</td>
						</tr>
						<tr>
							<td class="labelBackground" id="popProdFormation_label_container" style="width : 225px;">
								<label class="label" for="popProdFormation1" id="popProdFormation_label">Is this a producing formation? *</label>
							</td>
							<td class="defaultBackground" colspan="3" id="popProdFormation_container">
								<span class="selectBooleanEntry">
									<span class="selectBoolean">
										<input id="popProdFormation1" name="popProdFormation" type="radio" value="Y">
											<out:if test="/mvc:eForm/mvc:Data/mvc:formData/mvc:popProdFormation = 'Y'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
									</span>
									<span class="selectBooleanCaption labelAfter">
										<label class="radio" for="popProdFormation1">Yes</label>
									</span>
								</span>
								<span class="selectBooleanEntry">
									<span class="selectBoolean">
										<input id="popProdFormation2" name="popProdFormation" type="radio" value="N">
											<out:if test="/mvc:eForm/mvc:Data/mvc:formData/mvc:popProdFormation = 'N'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
										<input name="xgf_popProdFormation_xpath_xga_saveAPD_DP1_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popProdFormation" xmlns="" />
										<input name="xgf_popProdFormation_xpath_xga_loadFormations" type="hidden" value="/mvc:eForm/mvc:Data/GEO_FORMATION_EDIT/record/FRMTN_PROD_IND" xmlns="" />
									</span>
									<span class="selectBooleanCaption labelAfter">
										<label class="radio" for="popProdFormation2">No</label>
									</span>
								</span>
								<input id="popProdFormation_value_if_not_submitted" name="popProdFormation_value_if_not_submitted" type="hidden" value="" />
								<span id="popProdFormation_message_container"></span>
							</td>
							<td class="vertical" colspan="2" id="layout_group_2">
								<div class="formElement">
									<span class="labelBackground" id="popDPID_label_container">
										<label class="label" for="popDPID" id="popDPID_label">popDPID<span class="mandatory" id="popDPID_marker" style="" title="Mandatory field marker"> * </span>
										</label>
									</span>
									<span class="defaultBackground" id="popDPID_container">
										<input class="textbox" id="popDPID" maxLength="0" name="popDPID" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popDPID}" />
										<input name="xgf_popDPID_xpath_xga_saveAPD_DP1_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popDPID" xmlns="" />
										<input name="xgf_popDPID_xpath_xga_loadFormations" type="hidden" value="/mvc:eForm/mvc:Data/GEO_FORMATION_EDIT/record/DRLNG_PLN_ID" xmlns="" />
										<span id="popDPID_message_container"></span>
									</span>
								</div>
								<div class="formElement">
									<span class="labelBackground" id="popFormID_label_container">
										<label class="label" for="popFormID" id="popFormID_label">popDPFormID</label>
									</span>
									<span class="defaultBackground" id="popFormID_container">
										<input class="textbox" id="popFormID" name="popFormID" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popFormID}" />
										<input name="xgf_popFormID_xpath_xga_saveAPD_DP1_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popFormID" xmlns="" />
										<input name="xgf_popFormID_xpath_xga_loadFormations" type="hidden" value="/mvc:eForm/mvc:Data/GEO_FORMATION_EDIT/record/DRLNG_PLN_FRMTN_ID" xmlns="" />
										<span id="popFormID_message_container"></span>
									</span>
								</div>
							</td>
						</tr>
					</table>
				</div>
				<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="fields_horz_left_group" summary="">
					<tr>
						<td class="defaultBackground" id="submit_dialog_button_container">
							<a class="button" href="javascript: submit_dialog_buttonhref(null);" id="submit_dialog_button" name="submit_dialog_button">
								<out:attribute name="data-wm-disable-class">
									<out:text>button disabledButton </out:text>
								</out:attribute>
								<span>
									<span>Save</span>
								</span>
							</a>
						</td>
						<td class="defaultBackground" id="cancel_dialog_button_container">
							<a class="button" href="javascript: cancel_dialog_buttonhref(null);" id="cancel_dialog_button" name="cancel_dialog_button">
								<span>
									<span>Cancel</span>
								</span>
							</a>
						</td>
					</tr>
				</table>
			</div>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc">			<out:text>
            field = document.getElementById('</out:text>
			<out:text>btnAdd</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_validate', 'false');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>tabFormAction</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>formationCount</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>sectionPct</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>pagePct</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field = document.getElementById('</out:text>
			<out:text>popup_dialog_formations');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('data-dojo-type', 'dijit.Dialog');field.setAttribute('data-dojo-props', 'title:&quot;Edit Formation&quot;');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popRowID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','30');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popFormName</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popLithology</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popLithOther</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popElevation</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popTVD</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popMD</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popMineral</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popMinOther</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popProdFormation1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popProdFormation2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popDPID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','true');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popFormID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function APD_DPSect1onbeforeload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    var objFunction = {name: 'Function', option: 'Static', value: 'require'};
                    var objParameters = {name: 'Parameters', option: 'Script', value: '[&quot;dijit/Dialog&quot;]'};
                    hyf.FMAction.handleFunctionCall(objFunction, objParameters, objEventSource);
            }
            APD_DPSect1onbeforeload();
            function APD_DPSect1onload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    var objAction = {name: 'Action', option: 'Action', value: 'loadFormations.do'};
                    var objSourceGroup = {name: 'SourceGroup', option: 'AllFormData', value: ''};
                    var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppgFormationTable'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
            }
            hyf.attachEventHandler(window, 'onload', APD_DPSect1onload);
                    
            function btnAddonclick(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'btnAdd', field: document.getElementById('btnAdd')};

                return dojo.hitch(objEventSource.field, function(){
                    var objContainer = {name: 'Container', option: 'PageGroup', value: 'popup_formation_content'};
                    var objMode = {name: 'Mode', option: 'reset', value: ''};
                    hyf.FMAction.handleContainerReset(objContainer, objMode, objEventSource);
                    var objGroup = {name: 'Group', option: 'PageGroup', value: 'popup_dialog_formations'};
                    var objAnimate = {name: 'Animate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleGroupToggle(objGroup, objAnimate, objEventSource);
                    var objTargetToSet = {name: 'TargetToSet', option: 'PageField', value: 'tabFormAction'};
                    var objValueToAssign = {name: 'ValueToAssign', option: 'Static', value: 'Update'};
                    hyf.FMAction.handleSetValue(objTargetToSet, objValueToAssign, objEventSource);
                    })();
            }
            
            function popLithologyonchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'popLithology', field: document.getElementById('popLithology')};

                return dojo.hitch(objEventSource.field, function(){
                    if (hyf.FMCondition.checkFieldValue({name: 'FieldToCheck', option: 'PageField', value: 'popLithology'}, {name: 'Comparison', option: '==', value: ''}, {name: 'CheckValue', option: 'Static', value: '23'}, objEventSource)) {
                    hyf.util.showComponent(document.getElementById('layoutLithOther'));
                    } else {
                    hyf.util.hideComponent(document.getElementById('layoutLithOther'));
                    }
                    })();
            }
            
            function popMineralonchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'popMineral', field: document.getElementById('popMineral')};

                return dojo.hitch(objEventSource.field, function(){
                    if (hyf.FMCondition.checkFieldValue({name: 'FieldToCheck', option: 'PageField', value: 'popMineral'}, {name: 'Comparison', option: '==', value: ''}, {name: 'CheckValue', option: 'Static', value: '11'}, objEventSource)) {
                    hyf.util.showComponent(document.getElementById('layoutMinResourceOther'));
                    } else {
                    hyf.util.hideComponent(document.getElementById('layoutMinResourceOther'));
                    }
                    })();
            }
            
            function submit_dialog_buttonhref(e)
            {
                var objEventSource = {name: 'EventSource', option: 'field', value: 'submit_dialog_button', field: document.getElementById('submit_dialog_button')};

                return dojo.hitch(objEventSource.field, function(){
                    if (hyf.FMCondition.checkGroupValdiation({name: 'Group', option: 'PageGroup', value: 'popup_formation_content'}, objEventSource)) {
                    var objGroup = {name: 'Group', option: 'PageGroup', value: 'popup_dialog_formations'};
                    var objAnimate = {name: 'Animate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleGroupToggle(objGroup, objAnimate, objEventSource);
                    var objAction = {name: 'Action', option: 'Action', value: 'loadFormations.do'};
                    var objSourceGroup = {name: 'SourceGroup', option: 'AllFormData', value: ''};
                    var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppgFormationTable'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
                    } else {
                    }
                    })();
            }
            
            function cancel_dialog_buttonhref(e)
            {
                var objEventSource = {name: 'EventSource', option: 'field', value: 'cancel_dialog_button', field: document.getElementById('cancel_dialog_button')};

                return dojo.hitch(objEventSource.field, function(){
                    var objGroup = {name: 'Group', option: 'PageGroup', value: 'popup_dialog_formations'};
                    var objAnimate = {name: 'Animate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleGroupToggle(objGroup, objAnimate, objEventSource);
                    })();
            }
            </xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
