<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns="http://www.hyfinity.com/xstore" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">APD_DPSect1</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template match="/">
		<div class="subsection_container" id="subsection_APD_DPSect1" xmlns="">
			<out:call-template name="section_body" />
		</div>
	</out:template>
	<out:template name="css_imports">
		<link href="css/webmaker_layout.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 7]&gt;</out:text>
		<link href="css/webmaker_layout_ie_6_7.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 8]&gt;</out:text>
		<link href="css/demo_ie_only.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo_print_web.css" media="print" rel="stylesheet" type="text/css" />
		<link href="css/demo_mobile.css" media="only screen and (max-width: 1024px)" rel="stylesheet" type="text/css" />
		<link href="css/BLM.css" rel="stylesheet" type="text/css" />
		<link href="css/afmss.css" rel="stylesheet" type="text/css" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/DialogWidgetFix.js" type="text/javascript"></script>
		<script src="js/jquery.min.js" type="text/javascript"></script>
		<script src="js/DocMgmt.js" type="text/javascript"></script>
		<script src="js/APD.js" type="text/javascript"></script>
		<script src="js/Util.js" type="text/javascript"></script>
		<script src="js/DP.js" type="text/javascript"></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" xmlns:xfact="http://www.hyfinity.com/xfactory" >		<xform:instance id="saveAPD_DP2" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<selBPPressure />
						<sectionPct />
						<pagePct />
					</formData>
					<DRILLING_PLAN_SEC2_VW xmlns="">
						<record>
							<APP_ID />
							<APD_ID />
							<DRLNG_PLN_ID />
							<BLWT_PRVNTR_PRESS_RTNG />
							<BLWT_PRVNTR_EQUIP />
							<BLWT_PRVNTR_TSTNG_PROC />
							<REQNG_PRVNTR_VRNC />
							<BLWT_PRVNTR_VRNC_REQ />
							<BLWT_PRVNTR_DIAG_FILE_PTH />
						</record>
					</DRILLING_PLAN_SEC2_VW>
				</Data>
			</eForm>
		</xform:instance>
		<div _use="group" class="vertical" id="dpSect2">
			<fieldset class="fieldsetGroup vertical" id="grpSection2">
				<legend class="groupLabelOutside fieldsetGroupLabelBackground" id="grpSection2_label_container">
					<span class="label" id="grpSection2_label">Section 2 - Blowout Prevention</span>
				</legend>
				<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid" summary="">
					<tr>
						<td colspan="4">
							<fieldset class="fieldsetInnerGroup vertical" id="layoutBlowoutPreventer" style="border: 1px solid;">
								<legend class="groupLabelOutside groupLabelBackground" id="layoutBlowoutPreventer_label_container" style="width : 430px;">
									<span class="label" id="layoutBlowoutPreventer_label">Blowout Preventer</span>
								</legend>
								<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid_3" summary="">
									<tr>
										<td class="labelBackground" id="selBPPressure_label_container" style="width : 196px;">
											<label class="label" for="selBPPressure" id="selBPPressure_label">Pressure Rating (PSI) *</label>
										</td>
										<td class="defaultBackground" id="selBPPressure_container">
											<select class="select" id="selBPPressure" name="selBPPressure" title="The pressure rating of the Blowout preventer expressed in pounds per square inch. (psi)">
												<option value="">
													<out:text>-Select-</out:text>
												</option>
												<option value="2M">
													<out:if test="'2M' = /mvc:eForm/mvc:Data/DRILLING_PLAN_SEC2_VW/record/BLWT_PRVNTR_PRESS_RTNG">
														<out:attribute name="selected">selected</out:attribute>
													</out:if>
													<out:text>2M</out:text>
												</option>
												<option value="3M">
													<out:if test="'3M' = /mvc:eForm/mvc:Data/DRILLING_PLAN_SEC2_VW/record/BLWT_PRVNTR_PRESS_RTNG">
														<out:attribute name="selected">selected</out:attribute>
													</out:if>
													<out:text>3M</out:text>
												</option>
												<option value="5M">
													<out:if test="'5M' = /mvc:eForm/mvc:Data/DRILLING_PLAN_SEC2_VW/record/BLWT_PRVNTR_PRESS_RTNG">
														<out:attribute name="selected">selected</out:attribute>
													</out:if>
													<out:text>5M</out:text>
												</option>
												<option value="10M">
													<out:if test="'10M' = /mvc:eForm/mvc:Data/DRILLING_PLAN_SEC2_VW/record/BLWT_PRVNTR_PRESS_RTNG">
														<out:attribute name="selected">selected</out:attribute>
													</out:if>
													<out:text>10M</out:text>
												</option>
												<option value="15M">
													<out:if test="'15M' = /mvc:eForm/mvc:Data/DRILLING_PLAN_SEC2_VW/record/BLWT_PRVNTR_PRESS_RTNG">
														<out:attribute name="selected">selected</out:attribute>
													</out:if>
													<out:text>15M</out:text>
												</option>
											</select>
											<input name="xgf_selBPPressure_xpath_xga_saveAPD_DP2" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC2_VW/record/BLWT_PRVNTR_PRESS_RTNG" xmlns="" />
											<input name="xgf_selBPPressure_xpath_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:selBPPressure" xmlns="" />
											<span id="selBPPressure_message_container"></span>
										</td>
										<td class="labelBackground" id="txtBlowoutEquip_label_container" style="width : 150px; vertical-align : middle;">
											<label class="label" for="txtBlowoutEquip" id="txtBlowoutEquip_label">Equipment *</label>
										</td>
										<td class="defaultBackground" id="txtBlowoutEquip_container">
											<textarea class="textbox" cols="40" id="txtBlowoutEquip" name="txtBlowoutEquip" onkeyup="hyf.textarea.adjustHeight(event, this, 2, null);;" rows="2" style="width : 400px;" title="Any ancillary equipment such as, rotating head, remote kill line, mud-gas separator, etc. that would be used.">
												<out:value-of select="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC2_VW/record/BLWT_PRVNTR_EQUIP" />
											</textarea>
											<input name="xgf_txtBlowoutEquip_xpath_xga_saveAPD_DP2" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC2_VW/record/BLWT_PRVNTR_EQUIP" xmlns="" />
											<input name="xgf_txtBlowoutEquip_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtBlowoutEquip" xmlns="" />
											<span class="hintIcon" id="txtBlowoutEquip_message_container" onmousemove="hyf.util.showTipMessage(arguments[0]);" onmouseout="hyf.util.hideTipMessage(arguments[0]);">
&#160;&#160;&#160;&#160;&#160;&#160;											</span>
										</td>
									</tr>
									<tr>
										<td colspan="4">
											<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="fields_horz_left_group_6" summary="">
												<tr>
													<td class="labelBackground" id="rbReqVariance_label_container" style="width : 196px;">
														<label class="label" for="rbReqVariance1" id="rbReqVariance_label">Requesting Variance? *</label>
													</td>
													<td class="defaultBackground" id="rbReqVariance_container">
														<table border="0" cellpadding="0" cellspacing="0" class="selectBooleanTable">
															<tr>
																<td class="selectBoolean">
																	<input id="rbReqVariance1" name="rbReqVariance" title="Indicates whether you are submitting a variance request" type="radio" value="YES">
																		<out:if test="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC2_VW/record/REQNG_PRVNTR_VRNC = 'YES'">
																			<out:attribute name="checked">checked</out:attribute>
																		</out:if>
																	</input>
																</td>
																<td class="selectBooleanCaption labelAfter">
																	<label class="radio" for="rbReqVariance1">Yes</label>
																</td>
																<td class="selectBoolean">
																	<input id="rbReqVariance2" name="rbReqVariance" title="Indicates whether you are submitting a variance request" type="radio" value="NO">
																		<out:if test="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC2_VW/record/REQNG_PRVNTR_VRNC = 'NO'">
																			<out:attribute name="checked">checked</out:attribute>
																		</out:if>
																	</input>
																	<input name="xgf_rbReqVariance_xpath_xga_saveAPD_DP2" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC2_VW/record/REQNG_PRVNTR_VRNC" xmlns="" />
																	<input name="xgf_rbReqVariance_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbReqVariance" xmlns="" />
																</td>
																<td class="selectBooleanCaption labelAfter">
																	<label class="radio" for="rbReqVariance2">No</label>
																</td>
															</tr>
														</table>
														<input id="rbReqVariance_value_if_not_submitted" name="rbReqVariance_value_if_not_submitted" type="hidden" value="" />
														<span id="rbReqVariance_message_container"></span>
													</td>
													<td>
														<div style="height: 21px; width: 80px;"></div>
													</td>
													<td class="vertical" id="layoutVarRequest">
														<div class="formElement">
															<span class="labelBackground" id="txtVarianceRequest_label_container" style="width : 148px;">
																<label class="label" for="txtVarianceRequest" id="txtVarianceRequest_label">Variance Request *</label>
															</span>
															<span class="defaultBackground" id="txtVarianceRequest_container">
																<textarea class="textbox" cols="30" id="txtVarianceRequest" name="txtVarianceRequest" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 100);;" rows="2" style="width : 400px;" title="Variance request from the operator that will deviate from the Bureau’s minimum Onshore Order 2 standards.">
																	<out:value-of select="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC2_VW/record/BLWT_PRVNTR_VRNC_REQ" />
																</textarea>
																<input name="xgf_txtVarianceRequest_xpath_xga_saveAPD_DP2" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC2_VW/record/BLWT_PRVNTR_VRNC_REQ" xmlns="" />
																<input name="xgf_txtVarianceRequest_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtVarianceRequest" xmlns="" />
																<span id="txtVarianceRequest_message_container"></span>
															</span>
														</div>
													</td>
												</tr>
											</table>
										</td>
									</tr>
									<tr>
										<td class="labelBackground" id="txtTestProcedure_label_container" style="width : 196px;">
											<label class="label" for="txtTestProcedure" id="txtTestProcedure_label">Testing Procedure *</label>
										</td>
										<td class="defaultBackground" colspan="3" id="txtTestProcedure_container">
											<textarea class="textbox" cols="60" id="txtTestProcedure" name="txtTestProcedure" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 100);;" rows="2" style="width : 350px;" title="The proposed testing procedures as outlined in Onshore Order #2 ">
												<out:value-of select="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC2_VW/record/BLWT_PRVNTR_TSTNG_PROC" />
											</textarea>
											<input name="xgf_txtTestProcedure_xpath_xga_saveAPD_DP2" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC2_VW/record/BLWT_PRVNTR_TSTNG_PROC" xmlns="" />
											<input name="xgf_txtTestProcedure_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtTestProcedure" xmlns="" />
											<span id="txtTestProcedure_message_container"></span>
										</td>
									</tr>
									<tr>
										<td colspan="4">
											<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="layoutBlowoutPreventerDiagram" summary="">
												<tr>
													<td class="labelBackground" id="oBlowoutPreventer_label_container">
														<label class="label" for="oBlowoutPreventer" id="oBlowoutPreventer_label">Diagram (upload file) *</label>
													</td>
													<td class="defaultBackground" id="oBlowoutPreventer_container">
														<span class="output" id="oBlowoutPreventer" title="Schematic of the Blow Out Preventer and all related equipment.">
															<out:choose>
																<out:when test="not(/mvc:eForm/mvc:Data/mvc:formData/mvc:oBlowoutPreventer) or (/mvc:eForm/mvc:Data/mvc:formData/mvc:oBlowoutPreventer = '')">
																	<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																</out:when>
																<out:otherwise>
																	<out:value-of select="/mvc:eForm/mvc:Data/mvc:formData/mvc:oBlowoutPreventer" />
																</out:otherwise>
															</out:choose>
														</span>
													</td>
													<td class="hidden vertical" id="layoutFilePath">
														<div class="formElement">
															<span class="defaultBackground" id="txtBlowoutPreventer_container">
																<input class="textbox" id="txtBlowoutPreventer" name="txtBlowoutPreventer" type="text" value="{/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC2_VW/record/BLWT_PRVNTR_DIAG_FILE_PTH}" />
																<input name="xgf_txtBlowoutPreventer_xpath_xga_saveAPD_DP2" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC2_VW/record/BLWT_PRVNTR_DIAG_FILE_PTH" xmlns="" />
																<span id="txtBlowoutPreventer_message_container"></span>
															</span>
														</div>
													</td>
													<td>
														<div class="customControl" id="divBlowoutPreventer" title="Schematic of the Blow Out Preventer and all related equipment." xmlns="http://www.hyfinity.com/xfactory">
															<input id="docBlowoutPreventer" name="docBlowoutPreventer" onChange="updtFileName(10485760,'BlowoutPreventer')" size="10" type="file" />
														</div>
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
							</fieldset>
						</td>
					</tr>
				</table>
				<div class="hidden vertical" id="layout_group_2">
					<div class="formElement">
						<span class="labelBackground" id="DRLNG_PLN_ID_label_container">
							<label class="label" for="DRLNG_PLN_ID" id="DRLNG_PLN_ID_label">DRLNG PLN ID</label>
						</span>
						<span class="defaultBackground" id="DRLNG_PLN_ID_container">
							<input class="textbox" id="DRLNG_PLN_ID" maxLength="0" name="DRLNG_PLN_ID" size="0" type="text" value="{/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC2_VW/record/DRLNG_PLN_ID}" />
							<input name="xgf_DRLNG_PLN_ID_xpath_xga_saveAPD_DP2" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC2_VW/record/DRLNG_PLN_ID" xmlns="" />
							<input name="xgf_DRLNG_PLN_ID_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:DRLNG_PLN_ID" xmlns="" />
							<span id="DRLNG_PLN_ID_message_container"></span>
						</span>
					</div>
					<div class="formElement">
						<span class="labelBackground" id="sectionPct_label_container">
							<label class="label" for="sectionPct" id="sectionPct_label">sect pct</label>
						</span>
						<span class="defaultBackground" id="sectionPct_container">
							<input class="textbox" id="sectionPct" name="sectionPct" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:sectionPct}" />
							<input name="sectionPct_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:sectionPct" xmlns="" />
							<span id="sectionPct_message_container"></span>
						</span>
					</div>
					<div class="formElement">
						<span class="labelBackground" id="pagePct_label_container">
							<label class="label" for="pagePct" id="pagePct_label">page pct</label>
						</span>
						<span class="defaultBackground" id="pagePct_container">
							<input class="textbox" id="pagePct" name="pagePct" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:pagePct}" />
							<input name="pagePct_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:pagePct" xmlns="" />
							<span id="pagePct_message_container"></span>
						</span>
					</div>
				</div>
			</fieldset>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" xmlns:xfact="http://www.hyfinity.com/xfactory">			<out:text>
            field = document.getElementById('</out:text>
			<out:text>selBPPressure</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtBlowoutEquip</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','4000');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text disable-output-escaping="yes">field = document.getElementById('</out:text>
			<out:text disable-output-escaping="yes">txtBlowoutEquip_message_container');
                field.setAttribute('_hintClass','hintIcon');field.setAttribute('_hintMessage','Describe any ancillary equipment such as rotating head, remote kill line, mud-gas separator, etc. that would be used.');field.setAttribute('_hintMessageShow','true');field.setAttribute('_tipMessage','Describe any ancillary equipment such as rotating head, remote kill line, mud-gas separator, etc. that would be used.');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbReqVariance1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','3');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbReqVariance2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','3');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'layoutVarRequest',  invert: true, condition: <xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">{ type: 'check', funcName: 'hyf.FMCondition.checkFieldValue', values: [{name: 'FieldToCheck', option: 'PageField', value: 'rbReqVariance'}, {name: 'Comparison', option: '==', value: ''}, {name: 'CheckValue', option: 'Static', value: 'YES'}] }});</xsl:text>			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtVarianceRequest</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','4000');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtTestProcedure</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','4000');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>oBlowoutPreventer</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtBlowoutPreventer</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>DRLNG_PLN_ID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>sectionPct</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>pagePct</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function APD_DPSect2onbeforeload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    var objFunction = {name: 'Function', option: 'Static', value: 'require'};
                    var objParameters = {name: 'Parameters', option: 'Script', value: '[&quot;dijit/form/NumberTextBox&quot;]'};
                    hyf.FMAction.handleFunctionCall(objFunction, objParameters, objEventSource);
            }
            APD_DPSect2onbeforeload();
            function APD_DPSect2onload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    setFilePath('BlowoutPreventer');
            }
            hyf.attachEventHandler(window, 'onload', APD_DPSect2onload);
                    </xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
