<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns="http://www.hyfinity.com/xstore" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">CasingTable</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template match="/">
		<div class="subsection_container" id="subsection_CasingTable" xmlns="">
			<out:call-template name="section_body" />
		</div>
	</out:template>
	<out:template name="css_imports">
		<link href="css/webmaker_layout.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 7]&gt;</out:text>
		<link href="css/webmaker_layout_ie_6_7.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 8]&gt;</out:text>
		<link href="css/demo_ie_only.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo_print_web.css" media="print" rel="stylesheet" type="text/css" />
		<link href="css/demo_mobile.css" media="only screen and (max-width: 1024px)" rel="stylesheet" type="text/css" />
		<link href="css/BLM.css" rel="stylesheet" type="text/css" />
		<link href="css/afmss.css" rel="stylesheet" type="text/css" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/DialogWidgetFix.js" type="text/javascript"></script>
		<script src="js/jquery.min.js" type="text/javascript"></script>
		<script src="js/DocMgmt.js" type="text/javascript"></script>
		<script src="js/APD.js" type="text/javascript"></script>
		<script src="js/Util.js" type="text/javascript"></script>
		<script src="js/DP.js" type="text/javascript"></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" >		<div _use="group" class="vertical" id="layoutCasingsTable">
			<div class="repeat" id="casings_repeat">
				<out:for-each select="/mvc:eForm/mvc:Data/DP_CASING_VW/record">
					<out:variable name="casings_repeatLoopEntry" select="." />
					<out:variable name="casings_repeatLoopCount">
						<out:text>casings_repeat</out:text>
						<out:value-of select="position()" />
					</out:variable>
					<out:variable name="casings_repeat-repeat-position-number">
						<out:value-of select="position()" />
					</out:variable>
					<table border="0" cellpadding="0" cellspacing="0" class="grid" id="{$casings_repeatLoopCount}two_column_grid" style="width : 100%;border: 1px solid;" summary="">
						<tr>
							<td class="vertical" id="{$casings_repeatLoopCount}two_column_1">
								<table border="0" cellpadding="0" cellspacing="0" class="grid" id="{$casings_repeatLoopCount}layout_grid" summary="">
									<tr>
										<td class="labelBackground" id="{$casings_repeatLoopCount}oStringType_label_container">
											<label class="label" for="{$casings_repeatLoopCount}oStringType" id="{$casings_repeatLoopCount}oStringType_label">String Type</label>
										</td>
										<td class="defaultBackground" id="{$casings_repeatLoopCount}oStringType_container">
											<span class="output" id="{$casings_repeatLoopCount}oStringType">
												<out:choose>
													<out:when test="not(CSNG_STRNG_TY_NM) or (CSNG_STRNG_TY_NM = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="CSNG_STRNG_TY_NM" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="vertical" colspan="2" id="{$casings_repeatLoopCount}layoutStringTypeOther">
											<div class="formElement">
												<span class="labelBackground" id="{$casings_repeatLoopCount}oStringName_label_container">
													<label class="label" for="{$casings_repeatLoopCount}oStringName" id="{$casings_repeatLoopCount}oStringName_label">Other String Type </label>
												</span>
												<span class="defaultBackground" id="{$casings_repeatLoopCount}oStringName_container">
													<span class="output" id="{$casings_repeatLoopCount}oStringName">
														<out:choose>
															<out:when test="not(STRNG_TY_NM_OTH) or (STRNG_TY_NM_OTH = '')">
																<out:text disable-output-escaping="yes">&amp;#160;</out:text>
															</out:when>
															<out:otherwise>
																<out:value-of select="STRNG_TY_NM_OTH" />
															</out:otherwise>
														</out:choose>
													</span>
												</span>
											</div>
										</td>
										<td class="labelBackground" id="{$casings_repeatLoopCount}oHoleSize_label_container">
											<label class="label" for="{$casings_repeatLoopCount}oHoleSize" id="{$casings_repeatLoopCount}oHoleSize_label">Hole Size</label>
										</td>
										<td class="defaultBackground" id="{$casings_repeatLoopCount}oHoleSize_container">
											<span class="output" id="{$casings_repeatLoopCount}oHoleSize">
												<out:choose>
													<out:when test="not(HOLE_SZ) or (HOLE_SZ = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="HOLE_SZ" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
									</tr>
									<tr>
										<td class="labelBackground" id="{$casings_repeatLoopCount}oTopMD_label_container">
											<label class="label" for="{$casings_repeatLoopCount}oTopMD" id="{$casings_repeatLoopCount}oTopMD_label">Top setting depth MD</label>
										</td>
										<td class="defaultBackground" id="{$casings_repeatLoopCount}oTopMD_container">
											<span class="output" id="{$casings_repeatLoopCount}oTopMD">
												<out:choose>
													<out:when test="not(TOP_SET_DEP_MD) or (TOP_SET_DEP_MD = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="TOP_SET_DEP_MD" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="labelBackground" id="{$casings_repeatLoopCount}oTopTVD_label_container">
											<label class="label" for="{$casings_repeatLoopCount}oTopTVD" id="{$casings_repeatLoopCount}oTopTVD_label">Top setting depth TVD</label>
										</td>
										<td class="defaultBackground" id="{$casings_repeatLoopCount}oTopTVD_container">
											<span class="output" id="{$casings_repeatLoopCount}oTopTVD">
												<out:choose>
													<out:when test="not(TOP_SET_DEP_TVD) or (TOP_SET_DEP_TVD = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="TOP_SET_DEP_TVD" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="labelBackground" id="{$casings_repeatLoopCount}oTopMSL_label_container" style="width : 231px;">
											<label class="label" for="{$casings_repeatLoopCount}oTopMSL" id="{$casings_repeatLoopCount}oTopMSL_label">Top setting depth MSL</label>
										</td>
										<td class="defaultBackground" id="{$casings_repeatLoopCount}oTopMSL_container">
											<span class="output" id="{$casings_repeatLoopCount}oTopMSL">
												<out:choose>
													<out:when test="not(TOP_SET_DEP_MSL_CALC) or (TOP_SET_DEP_MSL_CALC = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="TOP_SET_DEP_MSL_CALC" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
									</tr>
									<tr>
										<td class="labelBackground" id="{$casings_repeatLoopCount}oBottomMD_label_container">
											<label class="label" for="{$casings_repeatLoopCount}oBottomMD" id="{$casings_repeatLoopCount}oBottomMD_label">Bottom setting depth MD</label>
										</td>
										<td class="defaultBackground" id="{$casings_repeatLoopCount}oBottomMD_container">
											<span class="output" id="{$casings_repeatLoopCount}oBottomMD">
												<out:choose>
													<out:when test="not(BTM_SET_DEP_MD) or (BTM_SET_DEP_MD = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="BTM_SET_DEP_MD" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="labelBackground" id="{$casings_repeatLoopCount}oBottomTVD_label_container">
											<label class="label" for="{$casings_repeatLoopCount}oBottomTVD" id="{$casings_repeatLoopCount}oBottomTVD_label">Bottom setting depth TVD</label>
										</td>
										<td class="defaultBackground" id="{$casings_repeatLoopCount}oBottomTVD_container">
											<span class="output" id="{$casings_repeatLoopCount}oBottomTVD">
												<out:choose>
													<out:when test="not(BTM_SET_DEP_TVD) or (BTM_SET_DEP_TVD = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="BTM_SET_DEP_TVD" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="labelBackground" id="{$casings_repeatLoopCount}oBottomMSL_label_container" style="width : 231px;">
											<label class="label" for="{$casings_repeatLoopCount}oBottomMSL" id="{$casings_repeatLoopCount}oBottomMSL_label">Bottom setting depth MSL</label>
										</td>
										<td class="defaultBackground" id="{$casings_repeatLoopCount}oBottomMSL_container">
											<span class="output" id="{$casings_repeatLoopCount}oBottomMSL">
												<out:choose>
													<out:when test="not(BTM_SET_DEP_MSL_CALC) or (BTM_SET_DEP_MSL_CALC = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="BTM_SET_DEP_MSL_CALC" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
									</tr>
									<tr>
										<td class="labelBackground" id="{$casings_repeatLoopCount}oCasingLengthMD_label_container" style="width : 209px;">
											<label class="label" for="{$casings_repeatLoopCount}oCasingLengthMD" id="{$casings_repeatLoopCount}oCasingLengthMD_label">Calculated casing length MD</label>
										</td>
										<td class="defaultBackground" id="{$casings_repeatLoopCount}oCasingLengthMD_container">
											<span class="output" id="{$casings_repeatLoopCount}oCasingLengthMD">
												<out:choose>
													<out:when test="not(CALC_ME_DEP_MD) or (CALC_ME_DEP_MD = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="CALC_ME_DEP_MD" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="labelBackground" id="{$casings_repeatLoopCount}oCasingLengthTVD_label_container" style="width : 216px;">
											<label class="label" for="{$casings_repeatLoopCount}oCasingLengthTVD" id="{$casings_repeatLoopCount}oCasingLengthTVD_label">Calculated casing length TVD</label>
										</td>
										<td class="defaultBackground" id="{$casings_repeatLoopCount}oCasingLengthTVD_container">
											<span class="output" id="{$casings_repeatLoopCount}oCasingLengthTVD">
												<out:choose>
													<out:when test="not(CALC_ME_DEP_TVD) or (CALC_ME_DEP_TVD = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="CALC_ME_DEP_TVD" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="labelBackground" id="{$casings_repeatLoopCount}oCasingLengthMSL_label_container" style="width : 231px;">
											<label class="label" for="{$casings_repeatLoopCount}oCasingLengthMSL" id="{$casings_repeatLoopCount}oCasingLengthMSL_label">Calculated casing length MSL</label>
										</td>
										<td class="defaultBackground" id="{$casings_repeatLoopCount}oCasingLengthMSL_container">
											<span class="output" id="{$casings_repeatLoopCount}oCasingLengthMSL">
												<out:choose>
													<out:when test="not(CALC_ME_DEP_MSL) or (CALC_ME_DEP_MSL = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="CALC_ME_DEP_MSL" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
									</tr>
									<tr>
										<td colspan="6">
											<table border="0" cellpadding="0" cellspacing="0" class="grid" id="{$casings_repeatLoopCount}layout_grid_3" summary="">
												<tr>
													<td class="labelBackground" id="{$casings_repeatLoopCount}oCasingSize_label_container">
														<label class="label" for="{$casings_repeatLoopCount}oCasingSize" id="{$casings_repeatLoopCount}oCasingSize_label">Casing Size</label>
													</td>
													<td class="defaultBackground" id="{$casings_repeatLoopCount}oCasingSize_container">
														<span class="output" id="{$casings_repeatLoopCount}oCasingSize">
															<out:choose>
																<out:when test="not(CSNG_SZ) or (CSNG_SZ = '')">
																	<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																</out:when>
																<out:otherwise>
																	<out:value-of select="CSNG_SZ" />
																</out:otherwise>
															</out:choose>
														</span>
													</td>
													<td class="vertical" id="{$casings_repeatLoopCount}grpCasingSizeOther">
														<div class="formElement">
															<span class="labelBackground" id="{$casings_repeatLoopCount}oCasingSizeOther_label_container">
																<label class="label" for="{$casings_repeatLoopCount}oCasingSizeOther" id="{$casings_repeatLoopCount}oCasingSizeOther_label">Other Size</label>
															</span>
															<span class="defaultBackground" id="{$casings_repeatLoopCount}oCasingSizeOther_container">
																<span class="output" id="{$casings_repeatLoopCount}oCasingSizeOther">
																	<out:choose>
																		<out:when test="not(CSNG_SZ_OTH) or (CSNG_SZ_OTH = '')">
																			<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																		</out:when>
																		<out:otherwise>
																			<out:value-of select="CSNG_SZ_OTH" />
																		</out:otherwise>
																	</out:choose>
																</span>
															</span>
														</div>
													</td>
													<td class="labelBackground" id="{$casings_repeatLoopCount}oCasingGrade_label_container">
														<label class="label" for="{$casings_repeatLoopCount}oCasingGrade" id="{$casings_repeatLoopCount}oCasingGrade_label">Grade</label>
													</td>
													<td class="defaultBackground" id="{$casings_repeatLoopCount}oCasingGrade_container">
														<span class="output" id="{$casings_repeatLoopCount}oCasingGrade">
															<out:choose>
																<out:when test="not(CSNG_STL_GR_NM) or (CSNG_STL_GR_NM = '')">
																	<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																</out:when>
																<out:otherwise>
																	<out:value-of select="CSNG_STL_GR_NM" />
																</out:otherwise>
															</out:choose>
														</span>
													</td>
													<td class="vertical" id="{$casings_repeatLoopCount}grpGradeOther">
														<div class="formElement">
															<span class="labelBackground" id="{$casings_repeatLoopCount}oGradeOther_label_container">
																<label class="label" for="{$casings_repeatLoopCount}oGradeOther" id="{$casings_repeatLoopCount}oGradeOther_label">Other Grade</label>
															</span>
															<span class="defaultBackground" id="{$casings_repeatLoopCount}oGradeOther_container">
																<span class="output" id="{$casings_repeatLoopCount}oGradeOther">
																	<out:choose>
																		<out:when test="not(CSNG_GR_OTH) or (CSNG_GR_OTH = '')">
																			<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																		</out:when>
																		<out:otherwise>
																			<out:value-of select="CSNG_GR_OTH" />
																		</out:otherwise>
																	</out:choose>
																</span>
															</span>
														</div>
													</td>
												</tr>
											</table>
										</td>
									</tr>
									<tr>
										<td class="labelBackground" id="{$casings_repeatLoopCount}oWeight_label_container">
											<label class="label" for="{$casings_repeatLoopCount}oWeight" id="{$casings_repeatLoopCount}oWeight_label">Weight</label>
										</td>
										<td class="defaultBackground" id="{$casings_repeatLoopCount}oWeight_container">
											<span class="output" id="{$casings_repeatLoopCount}oWeight">
												<out:choose>
													<out:when test="not(CSNG_WGT) or (CSNG_WGT = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="CSNG_WGT" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="labelBackground" id="{$casings_repeatLoopCount}oJoint_label_container">
											<label class="label" for="{$casings_repeatLoopCount}oJoint" id="{$casings_repeatLoopCount}oJoint_label">Joint Type</label>
										</td>
										<td class="defaultBackground" id="{$casings_repeatLoopCount}oJoint_container">
											<span class="output" id="{$casings_repeatLoopCount}oJoint">
												<out:choose>
													<out:when test="not(CSNG_THRD_TY_NM) or (CSNG_THRD_TY_NM = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="CSNG_THRD_TY_NM" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="vertical" colspan="2" id="{$casings_repeatLoopCount}layoutJointOther">
											<div class="formElement">
												<span class="labelBackground" id="{$casings_repeatLoopCount}oJointOther_label_container">
													<label class="label" for="{$casings_repeatLoopCount}oJointOther" id="{$casings_repeatLoopCount}oJointOther_label">Other Joint Type</label>
												</span>
												<span class="defaultBackground" id="{$casings_repeatLoopCount}oJointOther_container">
													<span class="output" id="{$casings_repeatLoopCount}oJointOther">
														<out:choose>
															<out:when test="not(CSNG_THRD_TY_OTH) or (CSNG_THRD_TY_OTH = '')">
																<out:text disable-output-escaping="yes">&amp;#160;</out:text>
															</out:when>
															<out:otherwise>
																<out:value-of select="CSNG_THRD_TY_OTH" />
															</out:otherwise>
														</out:choose>
													</span>
												</span>
											</div>
										</td>
									</tr>
									<tr>
										<td class="labelBackground" id="{$casings_repeatLoopCount}rbCondition_label_container" style="width : 87px;">
											<label class="label" for="{$casings_repeatLoopCount}rbCondition1" id="{$casings_repeatLoopCount}rbCondition_label">Condition</label>
										</td>
										<td class="defaultBackground" id="{$casings_repeatLoopCount}rbCondition_container">
											<span class="selectBooleanEntry">
												<span class="selectBoolean">
													<input id="{$casings_repeatLoopCount}rbCondition1" name="{$casings_repeatLoopCount}rbCondition" type="radio" value="NEW">
														<out:if test="CSNG_CND = 'NEW'">
															<out:attribute name="checked">checked</out:attribute>
														</out:if>
														<out:if test="/">
															<out:attribute name="disabled">disabled</out:attribute>
															<out:attribute name="class">
																<out:text>disabled</out:text>
															</out:attribute>
														</out:if>
													</input>
												</span>
												<span class="selectBooleanCaption labelAfter">
													<label class="radio" for="{$casings_repeatLoopCount}rbCondition1">New</label>
												</span>
											</span>
											<span class="selectBooleanEntry">
												<span class="selectBoolean">
													<input id="{$casings_repeatLoopCount}rbCondition2" name="{$casings_repeatLoopCount}rbCondition" type="radio" value="USED">
														<out:if test="CSNG_CND = 'USED'">
															<out:attribute name="checked">checked</out:attribute>
														</out:if>
														<out:if test="/">
															<out:attribute name="disabled">disabled</out:attribute>
															<out:attribute name="class">
																<out:text>disabled</out:text>
															</out:attribute>
														</out:if>
													</input>
													<input name="{$casings_repeatLoopCount}rbCondition_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:casings_repeat[{$casings_repeat-repeat-position-number}]/mvc:rbCondition" xmlns="" />
												</span>
												<span class="selectBooleanCaption labelAfter">
													<label class="radio" for="{$casings_repeatLoopCount}rbCondition2">Used</label>
												</span>
											</span>
											<input id="{$casings_repeatLoopCount}rbCondition_value_if_not_submitted" name="{$casings_repeatLoopCount}rbCondition_value_if_not_submitted" type="hidden" value="">
												<out:if test="/">
													<out:attribute name="disabled">disabled</out:attribute>
													<out:attribute name="class">
														<out:text>disabled</out:text>
													</out:attribute>
												</out:if>
											</input>
											<span id="{$casings_repeatLoopCount}rbCondition_message_container"></span>
										</td>
										<td class="horizontal" colspan="2" id="{$casings_repeatLoopCount}grpCondition" style="width : 486px;">
											<span class="formElement">
												<span class="labelBackground" id="{$casings_repeatLoopCount}oConditionDoc_label_container">
													<label class="label" for="{$casings_repeatLoopCount}oConditionDoc" id="{$casings_repeatLoopCount}oConditionDoc_label">Inspection Document</label>
												</span>
												<span class="defaultBackground" id="{$casings_repeatLoopCount}oConditionDoc_container">
													<span class="output" id="{$casings_repeatLoopCount}oConditionDoc">
														<out:choose>
															<out:when test="not(mvc:oConditionDoc) or (mvc:oConditionDoc = '')">
																<out:text disable-output-escaping="yes">&amp;#160;</out:text>
															</out:when>
															<out:otherwise>
																<out:value-of select="mvc:oConditionDoc" />
															</out:otherwise>
														</out:choose>
													</span>
												</span>
											</span>
										</td>
										<td class="hidden vertical" colspan="2" id="{$casings_repeatLoopCount}layoutConditionDoc">
											<div class="formElement">
												<span class="defaultBackground" id="{$casings_repeatLoopCount}txtConditionDoc_container">
													<input class="textbox" id="{$casings_repeatLoopCount}txtConditionDoc" name="{$casings_repeatLoopCount}txtConditionDoc" type="text" value="{CSNG_USED_INSP_DOC_FILE_PTH}" />
													<input name="{$casings_repeatLoopCount}txtConditionDoc_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:casings_repeat[{$casings_repeat-repeat-position-number}]/mvc:txtConditionDoc" xmlns="" />
													<span id="{$casings_repeatLoopCount}txtConditionDoc_message_container"></span>
												</span>
											</div>
										</td>
									</tr>
									<tr>
										<td class="labelBackground" id="{$casings_repeatLoopCount}rbStandard_label_container" style="width : 76px;">
											<label class="label" for="{$casings_repeatLoopCount}rbStandard1" id="{$casings_repeatLoopCount}rbStandard_label">Standard</label>
										</td>
										<td class="defaultBackground" id="{$casings_repeatLoopCount}rbStandard_container">
											<span class="selectBooleanEntry">
												<span class="selectBoolean">
													<input id="{$casings_repeatLoopCount}rbStandard1" name="{$casings_repeatLoopCount}rbStandard" type="radio" value="API">
														<out:if test="API_CSNG = 'API'">
															<out:attribute name="checked">checked</out:attribute>
														</out:if>
														<out:if test="/">
															<out:attribute name="disabled">disabled</out:attribute>
															<out:attribute name="class">
																<out:text>disabled</out:text>
															</out:attribute>
														</out:if>
													</input>
												</span>
												<span class="selectBooleanCaption labelAfter">
													<label class="radio" for="{$casings_repeatLoopCount}rbStandard1">API</label>
												</span>
											</span>
											<span class="selectBooleanEntry">
												<span class="selectBoolean">
													<input id="{$casings_repeatLoopCount}rbStandard2" name="{$casings_repeatLoopCount}rbStandard" type="radio" value="NONAPI">
														<out:if test="API_CSNG = 'NONAPI'">
															<out:attribute name="checked">checked</out:attribute>
														</out:if>
														<out:if test="/">
															<out:attribute name="disabled">disabled</out:attribute>
															<out:attribute name="class">
																<out:text>disabled</out:text>
															</out:attribute>
														</out:if>
													</input>
													<input name="{$casings_repeatLoopCount}rbStandard_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:casings_repeat[{$casings_repeat-repeat-position-number}]/mvc:rbStandard" xmlns="" />
												</span>
												<span class="selectBooleanCaption labelAfter">
													<label class="radio" for="{$casings_repeatLoopCount}rbStandard2">Non-API</label>
												</span>
											</span>
											<input id="{$casings_repeatLoopCount}rbStandard_value_if_not_submitted" name="{$casings_repeatLoopCount}rbStandard_value_if_not_submitted" type="hidden" value="">
												<out:if test="/">
													<out:attribute name="disabled">disabled</out:attribute>
													<out:attribute name="class">
														<out:text>disabled</out:text>
													</out:attribute>
												</out:if>
											</input>
											<span id="{$casings_repeatLoopCount}rbStandard_message_container"></span>
										</td>
										<td class="horizontal" colspan="2" id="{$casings_repeatLoopCount}grpStandard" style="width : 486px;">
											<span class="formElement">
												<span class="labelBackground" id="{$casings_repeatLoopCount}oStandardDoc_label_container">
													<label class="label" for="{$casings_repeatLoopCount}oStandardDoc" id="{$casings_repeatLoopCount}oStandardDoc_label">Spec Document</label>
												</span>
												<span class="defaultBackground" id="{$casings_repeatLoopCount}oStandardDoc_container">
													<span class="output" id="{$casings_repeatLoopCount}oStandardDoc">
														<out:choose>
															<out:when test="not(mvc:oStandardDoc) or (mvc:oStandardDoc = '')">
																<out:text disable-output-escaping="yes">&amp;#160;</out:text>
															</out:when>
															<out:otherwise>
																<out:value-of select="mvc:oStandardDoc" />
															</out:otherwise>
														</out:choose>
													</span>
												</span>
											</span>
										</td>
										<td class="hidden vertical" colspan="2" id="{$casings_repeatLoopCount}layoutStandardDoc">
											<div class="formElement">
												<span class="defaultBackground" id="{$casings_repeatLoopCount}txtStandardDoc_container">
													<input class="textbox" id="{$casings_repeatLoopCount}txtStandardDoc" name="{$casings_repeatLoopCount}txtStandardDoc" type="text" value="{NON_API_CSNG_SPEC_FILE_PTH}" />
													<input name="{$casings_repeatLoopCount}txtStandardDoc_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:casings_repeat[{$casings_repeat-repeat-position-number}]/mvc:txtStandardDoc" xmlns="" />
													<span id="{$casings_repeatLoopCount}txtStandardDoc_message_container"></span>
												</span>
											</div>
										</td>
									</tr>
									<tr>
										<td colspan="6">
											<fieldset class="fieldsetInnerGroup  vertical" id="{$casings_repeatLoopCount}grpSafety">
												<legend class="groupLabelOutside fieldsetGroupLabelBackground" id="{$casings_repeatLoopCount}grpSafety_label_container" style="width : 209px;">
													<span class="label" id="{$casings_repeatLoopCount}grpSafety_label">Safety factors</span>
												</legend>
												<table border="0" cellpadding="0" cellspacing="0" class="grid" id="{$casings_repeatLoopCount}layout_grid_2" summary="">
													<tr>
														<td class="labelBackground" id="{$casings_repeatLoopCount}oCollapseSF_label_container">
															<label class="label" for="{$casings_repeatLoopCount}oCollapseSF" id="{$casings_repeatLoopCount}oCollapseSF_label">Collapse Design Safety Factor</label>
														</td>
														<td class="defaultBackground" id="{$casings_repeatLoopCount}oCollapseSF_container">
															<span class="output" id="{$casings_repeatLoopCount}oCollapseSF">
																<out:choose>
																	<out:when test="not(CLPSE_DSGN_SFTY_FAC) or (CLPSE_DSGN_SFTY_FAC = '')">
																		<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																	</out:when>
																	<out:otherwise>
																		<out:value-of select="CLPSE_DSGN_SFTY_FAC" />
																	</out:otherwise>
																</out:choose>
															</span>
														</td>
														<td class="labelBackground" id="{$casings_repeatLoopCount}oCollapseCalc_label_container" style="width : 160px;">
															<label class="label" for="{$casings_repeatLoopCount}oCollapseCalc" id="{$casings_repeatLoopCount}oCollapseCalc_label">Calculation</label>
														</td>
														<td class="defaultBackground" colspan="3" id="{$casings_repeatLoopCount}oCollapseCalc_container">
															<textarea class="textbox" cols="40" id="{$casings_repeatLoopCount}oCollapseCalc" name="{$casings_repeatLoopCount}oCollapseCalc" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="" style="width : 540px;">
																<out:if test="/">
																	<out:attribute name="disabled">disabled</out:attribute>
																	<out:attribute name="class">
																		<out:text>disabled</out:text>
																	</out:attribute>
																	<out:attribute name="data-wm-disable-base-class">
																		<out:text>textbox</out:text>
																	</out:attribute>
																</out:if>
																<out:value-of select="CLPSE_DSGN_SFTY_FAC_CALC_TX" />
															</textarea>
															<input name="{$casings_repeatLoopCount}oCollapseCalc_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:casings_repeat[{$casings_repeat-repeat-position-number}]/mvc:oCollapseCalc" xmlns="" />
															<span id="{$casings_repeatLoopCount}oCollapseCalc_message_container"></span>
														</td>
													</tr>
													<tr>
														<td class="labelBackground" id="{$casings_repeatLoopCount}oBurstSF_label_container">
															<label class="label" for="{$casings_repeatLoopCount}oBurstSF" id="{$casings_repeatLoopCount}oBurstSF_label">Burst Design Safety Factor</label>
														</td>
														<td class="defaultBackground" id="{$casings_repeatLoopCount}oBurstSF_container">
															<span class="output" id="{$casings_repeatLoopCount}oBurstSF">
																<out:choose>
																	<out:when test="not(BRST_DSGN_SFTY_FAC) or (BRST_DSGN_SFTY_FAC = '')">
																		<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																	</out:when>
																	<out:otherwise>
																		<out:value-of select="BRST_DSGN_SFTY_FAC" />
																	</out:otherwise>
																</out:choose>
															</span>
														</td>
														<td class="labelBackground" id="{$casings_repeatLoopCount}oBurstCalc_label_container" style="width : 160px;">
															<label class="label" for="{$casings_repeatLoopCount}oBurstCalc" id="{$casings_repeatLoopCount}oBurstCalc_label">Calculation</label>
														</td>
														<td class="defaultBackground" colspan="3" id="{$casings_repeatLoopCount}oBurstCalc_container">
															<textarea class="textbox" cols="40" id="{$casings_repeatLoopCount}oBurstCalc" name="{$casings_repeatLoopCount}oBurstCalc" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="" style="width : 540px;">
																<out:if test="/">
																	<out:attribute name="disabled">disabled</out:attribute>
																	<out:attribute name="class">
																		<out:text>disabled</out:text>
																	</out:attribute>
																	<out:attribute name="data-wm-disable-base-class">
																		<out:text>textbox</out:text>
																	</out:attribute>
																</out:if>
																<out:value-of select="BRST_DSGN_SFTY_FAC_CALC_TX" />
															</textarea>
															<input name="xgf_{$casings_repeatLoopCount}oBurstCalc_xpath_xga_loadCasings_xga_saveAPD_DP3_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:casings_repeat[{$casings_repeat-repeat-position-number}]/mvc:oBurstCalc" xmlns="" />
															<span id="{$casings_repeatLoopCount}oBurstCalc_message_container"></span>
														</td>
													</tr>
													<tr>
														<td class="labelBackground" id="{$casings_repeatLoopCount}rbJointSF_label_container" style="vertical-align : middle; width : 280px;">
															<label class="label" for="{$casings_repeatLoopCount}rbJointSF1" id="{$casings_repeatLoopCount}rbJointSF_label">Joint Tensile Design Safety Factor type</label>
														</td>
														<td class="defaultBackground" id="{$casings_repeatLoopCount}rbJointSF_container">
															<table border="0" cellpadding="0" cellspacing="0" class="selectBooleanTable">
																<tr>
																	<td class="selectBoolean">
																		<input id="{$casings_repeatLoopCount}rbJointSF1" name="{$casings_repeatLoopCount}rbJointSF" type="radio" value="DRY">
																			<out:if test="JNT_TNSLE_DSGN_SFTY_FAC_TY = 'DRY'">
																				<out:attribute name="checked">checked</out:attribute>
																			</out:if>
																			<out:if test="/">
																				<out:attribute name="disabled">disabled</out:attribute>
																				<out:attribute name="class">
																					<out:text>disabled</out:text>
																				</out:attribute>
																			</out:if>
																		</input>
																	</td>
																	<td class="selectBooleanCaption labelAfter">
																		<label class="radio" for="{$casings_repeatLoopCount}rbJointSF1">Dry</label>
																	</td>
																</tr>
																<tr>
																	<td class="selectBoolean">
																		<input id="{$casings_repeatLoopCount}rbJointSF2" name="{$casings_repeatLoopCount}rbJointSF" type="radio" value="BUOYANT">
																			<out:if test="JNT_TNSLE_DSGN_SFTY_FAC_TY = 'BUOYANT'">
																				<out:attribute name="checked">checked</out:attribute>
																			</out:if>
																			<out:if test="/">
																				<out:attribute name="disabled">disabled</out:attribute>
																				<out:attribute name="class">
																					<out:text>disabled</out:text>
																				</out:attribute>
																			</out:if>
																		</input>
																		<input name="{$casings_repeatLoopCount}rbJointSF_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:casings_repeat[{$casings_repeat-repeat-position-number}]/mvc:rbJointSF" xmlns="" />
																	</td>
																	<td class="selectBooleanCaption labelAfter">
																		<label class="radio" for="{$casings_repeatLoopCount}rbJointSF2">Buoyant</label>
																	</td>
																</tr>
															</table>
															<input id="{$casings_repeatLoopCount}rbJointSF_value_if_not_submitted" name="{$casings_repeatLoopCount}rbJointSF_value_if_not_submitted" type="hidden" value="">
																<out:if test="/">
																	<out:attribute name="disabled">disabled</out:attribute>
																	<out:attribute name="class">
																		<out:text>disabled</out:text>
																	</out:attribute>
																</out:if>
															</input>
															<span id="{$casings_repeatLoopCount}rbJointSF_message_container"></span>
														</td>
														<td class="labelBackground" id="{$casings_repeatLoopCount}oJointSF_label_container">
															<label class="label" for="{$casings_repeatLoopCount}oJointSF" id="{$casings_repeatLoopCount}oJointSF_label">Joint Tensile Design Safety Factor</label>
														</td>
														<td class="defaultBackground" id="{$casings_repeatLoopCount}oJointSF_container">
															<span class="output" id="{$casings_repeatLoopCount}oJointSF">
																<out:choose>
																	<out:when test="not(JNT_TNSLE_DSGN_SFTY_FAC) or (JNT_TNSLE_DSGN_SFTY_FAC = '')">
																		<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																	</out:when>
																	<out:otherwise>
																		<out:value-of select="JNT_TNSLE_DSGN_SFTY_FAC" />
																	</out:otherwise>
																</out:choose>
															</span>
														</td>
														<td class="labelBackground" id="{$casings_repeatLoopCount}oJointCalc_label_container" style="width : 98px;">
															<label class="label" for="{$casings_repeatLoopCount}oJointCalc" id="{$casings_repeatLoopCount}oJointCalc_label">Calculation</label>
														</td>
														<td class="defaultBackground" id="{$casings_repeatLoopCount}oJointCalc_container">
															<textarea class="textbox" cols="40" id="{$casings_repeatLoopCount}oJointCalc" name="{$casings_repeatLoopCount}oJointCalc" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="" style="width : 317px;">
																<out:if test="/">
																	<out:attribute name="disabled">disabled</out:attribute>
																	<out:attribute name="class">
																		<out:text>disabled</out:text>
																	</out:attribute>
																	<out:attribute name="data-wm-disable-base-class">
																		<out:text>textbox</out:text>
																	</out:attribute>
																</out:if>
																<out:value-of select="JNT_TNSLE_DSGN_SFTY_FAC_CALC" />
															</textarea>
															<input name="{$casings_repeatLoopCount}oJointCalc_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:casings_repeat[{$casings_repeat-repeat-position-number}]/mvc:oJointCalc" xmlns="" />
															<span id="{$casings_repeatLoopCount}oJointCalc_message_container"></span>
														</td>
													</tr>
													<tr>
														<td class="labelBackground" id="{$casings_repeatLoopCount}rbBodySF_label_container" style="vertical-align : middle; width : 280px;">
															<label class="label" for="{$casings_repeatLoopCount}rbBodySF1" id="{$casings_repeatLoopCount}rbBodySF_label">Body Tensile Design Safety Factor type</label>
														</td>
														<td class="defaultBackground" id="{$casings_repeatLoopCount}rbBodySF_container">
															<table border="0" cellpadding="0" cellspacing="0" class="selectBooleanTable">
																<tr>
																	<td class="selectBoolean">
																		<input id="{$casings_repeatLoopCount}rbBodySF1" name="{$casings_repeatLoopCount}rbBodySF" type="radio" value="DRY">
																			<out:if test="BDY_TNSLE_DSGN_SFTY_FAC_TY = 'DRY'">
																				<out:attribute name="checked">checked</out:attribute>
																			</out:if>
																			<out:if test="/">
																				<out:attribute name="disabled">disabled</out:attribute>
																				<out:attribute name="class">
																					<out:text>disabled</out:text>
																				</out:attribute>
																			</out:if>
																		</input>
																	</td>
																	<td class="selectBooleanCaption labelAfter">
																		<label class="radio" for="{$casings_repeatLoopCount}rbBodySF1">Dry</label>
																	</td>
																</tr>
																<tr>
																	<td class="selectBoolean">
																		<input id="{$casings_repeatLoopCount}rbBodySF2" name="{$casings_repeatLoopCount}rbBodySF" type="radio" value="BUOYANT">
																			<out:if test="BDY_TNSLE_DSGN_SFTY_FAC_TY = 'BUOYANT'">
																				<out:attribute name="checked">checked</out:attribute>
																			</out:if>
																			<out:if test="/">
																				<out:attribute name="disabled">disabled</out:attribute>
																				<out:attribute name="class">
																					<out:text>disabled</out:text>
																				</out:attribute>
																			</out:if>
																		</input>
																		<input name="xgf_{$casings_repeatLoopCount}rbBodySF_xpath_xga_loadCasings_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:casings_repeat[{$casings_repeat-repeat-position-number}]/mvc:radio" xmlns="" />
																		<input name="xgf_{$casings_repeatLoopCount}rbBodySF_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:casings_repeat[{$casings_repeat-repeat-position-number}]/mvc:rbBodySF" xmlns="" />
																	</td>
																	<td class="selectBooleanCaption labelAfter">
																		<label class="radio" for="{$casings_repeatLoopCount}rbBodySF2">Buoyant</label>
																	</td>
																</tr>
															</table>
															<input id="{$casings_repeatLoopCount}rbBodySF_value_if_not_submitted" name="{$casings_repeatLoopCount}rbBodySF_value_if_not_submitted" type="hidden" value="">
																<out:if test="/">
																	<out:attribute name="disabled">disabled</out:attribute>
																	<out:attribute name="class">
																		<out:text>disabled</out:text>
																	</out:attribute>
																</out:if>
															</input>
															<span id="{$casings_repeatLoopCount}rbBodySF_message_container"></span>
														</td>
														<td class="labelBackground" id="{$casings_repeatLoopCount}oBodySF_label_container">
															<label class="label" for="{$casings_repeatLoopCount}oBodySF" id="{$casings_repeatLoopCount}oBodySF_label">Body Tensile Design Safety Factor</label>
														</td>
														<td class="defaultBackground" id="{$casings_repeatLoopCount}oBodySF_container">
															<span class="output" id="{$casings_repeatLoopCount}oBodySF">
																<out:choose>
																	<out:when test="not(BDY_TNSLE_DSGN_SFTY_FAC) or (BDY_TNSLE_DSGN_SFTY_FAC = '')">
																		<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																	</out:when>
																	<out:otherwise>
																		<out:value-of select="BDY_TNSLE_DSGN_SFTY_FAC" />
																	</out:otherwise>
																</out:choose>
															</span>
														</td>
														<td class="labelBackground" id="{$casings_repeatLoopCount}oBodyCalc_label_container" style="width : 98px;">
															<label class="label" for="{$casings_repeatLoopCount}oBodyCalc" id="{$casings_repeatLoopCount}oBodyCalc_label">Calculation</label>
														</td>
														<td class="defaultBackground" id="{$casings_repeatLoopCount}oBodyCalc_container">
															<textarea class="textbox" cols="40" id="{$casings_repeatLoopCount}oBodyCalc" name="{$casings_repeatLoopCount}oBodyCalc" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="" style="width : 317px;">
																<out:if test="/">
																	<out:attribute name="disabled">disabled</out:attribute>
																	<out:attribute name="class">
																		<out:text>disabled</out:text>
																	</out:attribute>
																	<out:attribute name="data-wm-disable-base-class">
																		<out:text>textbox</out:text>
																	</out:attribute>
																</out:if>
																<out:value-of select="BDY_TNSLE_DSGN_SFTY_FAC_CALC" />
															</textarea>
															<input name="xgf_{$casings_repeatLoopCount}oBodyCalc_xpath_xga_loadCasings_xga_saveAPD_DP3_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:casings_repeat[{$casings_repeat-repeat-position-number}]/mvc:oBodyCalc" xmlns="" />
															<span id="{$casings_repeatLoopCount}oBodyCalc_message_container"></span>
														</td>
													</tr>
												</table>
											</fieldset>
										</td>
									</tr>
								</table>
							</td>
							<td class="vertical" id="{$casings_repeatLoopCount}two_column_2" style="width : 50px; vertical-align : middle;border-left: 1px solid; background-color : #f0f0f0;">
								<div class="formElement">
									<span class="defaultBackground" id="{$casings_repeatLoopCount}image_container">
										<img alt="Edit" class="image clickable" id="{$casings_repeatLoopCount}image" name="{$casings_repeatLoopCount}image" onclick="return imageonclick((typeof(event) != 'undefined') ? event : arguments[0], '{$casings_repeatLoopCount}');" src="images/Edit.gif" />
									</span>
									<div class="labelBackground" id="{$casings_repeatLoopCount}image_label_container">
										<label class="label" for="{$casings_repeatLoopCount}image" id="{$casings_repeatLoopCount}image_label">Edit</label>
									</div>
								</div>
								<div class="formElement">
									<span class="defaultBackground" id="{$casings_repeatLoopCount}image_2_container">
										<img alt="Delete" class="image clickable" id="{$casings_repeatLoopCount}image_2" name="{$casings_repeatLoopCount}image_2" onclick="return image_2onclick((typeof(event) != 'undefined') ? event : arguments[0], '{$casings_repeatLoopCount}');" src="images/Del.gif" />
									</span>
									<div class="labelBackground" id="{$casings_repeatLoopCount}image_2_label_container">
										<label class="label" for="{$casings_repeatLoopCount}image_2" id="{$casings_repeatLoopCount}image_2_label">Delete</label>
									</div>
								</div>
							</td>
						</tr>
					</table>
					<div class="hidden vertical" id="{$casings_repeatLoopCount}hiddenIDs">
						<div class="formElement">
							<span class="labelBackground" id="{$casings_repeatLoopCount}oCasingID_label_container">
								<label class="label" for="{$casings_repeatLoopCount}oCasingID" id="{$casings_repeatLoopCount}oCasingID_label">CasingID</label>
							</span>
							<span class="defaultBackground" id="{$casings_repeatLoopCount}oCasingID_container">
								<input class="textbox" id="{$casings_repeatLoopCount}oCasingID" name="{$casings_repeatLoopCount}oCasingID" type="text" value="{DRLNG_PLN_CSNG_ID}" />
								<input name="{$casings_repeatLoopCount}oCasingID_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:casings_repeat[{$casings_repeat-repeat-position-number}]/mvc:oCasingID" xmlns="" />
								<span id="{$casings_repeatLoopCount}oCasingID_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="{$casings_repeatLoopCount}oDPID_label_container">
								<label class="label" for="{$casings_repeatLoopCount}oDPID" id="{$casings_repeatLoopCount}oDPID_label">DP ID</label>
							</span>
							<span class="defaultBackground" id="{$casings_repeatLoopCount}oDPID_container">
								<input class="textbox" id="{$casings_repeatLoopCount}oDPID" name="{$casings_repeatLoopCount}oDPID" type="text" value="{DRLNG_PLN_ID}" />
								<input name="{$casings_repeatLoopCount}oDPID_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:casings_repeat[{$casings_repeat-repeat-position-number}]/mvc:oDPID" xmlns="" />
								<span id="{$casings_repeatLoopCount}oDPID_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="{$casings_repeatLoopCount}oStringTypeID_label_container">
								<label class="label" for="{$casings_repeatLoopCount}oStringTypeID" id="{$casings_repeatLoopCount}oStringTypeID_label">StringID</label>
							</span>
							<span class="defaultBackground" id="{$casings_repeatLoopCount}oStringTypeID_container">
								<input class="textbox" id="{$casings_repeatLoopCount}oStringTypeID" name="{$casings_repeatLoopCount}oStringTypeID" type="text" value="{CSNG_STRNG_TY_ID}" />
								<input name="{$casings_repeatLoopCount}oStringTypeID_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:casings_repeat[{$casings_repeat-repeat-position-number}]/mvc:oStringTypeID" xmlns="" />
								<span id="{$casings_repeatLoopCount}oStringTypeID_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="{$casings_repeatLoopCount}oSizeID_label_container">
								<label class="label" for="{$casings_repeatLoopCount}oSizeID" id="{$casings_repeatLoopCount}oSizeID_label">SizeID</label>
							</span>
							<span class="defaultBackground" id="{$casings_repeatLoopCount}oSizeID_container">
								<input class="textbox" id="{$casings_repeatLoopCount}oSizeID" name="{$casings_repeatLoopCount}oSizeID" type="text" value="{CSNG_SZ_ID}" />
								<input name="{$casings_repeatLoopCount}oSizeID_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:casings_repeat[{$casings_repeat-repeat-position-number}]/mvc:oSizeID" xmlns="" />
								<span id="{$casings_repeatLoopCount}oSizeID_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="{$casings_repeatLoopCount}oJointID_label_container">
								<label class="label" for="{$casings_repeatLoopCount}oJointID" id="{$casings_repeatLoopCount}oJointID_label">ThreadID</label>
							</span>
							<span class="defaultBackground" id="{$casings_repeatLoopCount}oJointID_container">
								<input class="textbox" id="{$casings_repeatLoopCount}oJointID" name="{$casings_repeatLoopCount}oJointID" type="text" value="{CSNG_THRD_TY_ID}" />
								<input name="{$casings_repeatLoopCount}oJointID_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:casings_repeat[{$casings_repeat-repeat-position-number}]/mvc:oJointID" xmlns="" />
								<span id="{$casings_repeatLoopCount}oJointID_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="{$casings_repeatLoopCount}oGradeID_label_container">
								<label class="label" for="{$casings_repeatLoopCount}oGradeID" id="{$casings_repeatLoopCount}oGradeID_label">GradeID</label>
							</span>
							<span class="defaultBackground" id="{$casings_repeatLoopCount}oGradeID_container">
								<input class="textbox" id="{$casings_repeatLoopCount}oGradeID" name="{$casings_repeatLoopCount}oGradeID" type="text" value="{CSNG_STL_GR_ID}" />
								<input name="{$casings_repeatLoopCount}oGradeID_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:casings_repeat[{$casings_repeat-repeat-position-number}]/mvc:oGradeID" xmlns="" />
								<span id="{$casings_repeatLoopCount}oGradeID_message_container"></span>
							</span>
						</div>
					</div>
				</out:for-each>
				<input name="hyfrepeat-CasingTable-1-location" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:casings_repeat" xmlns="" />
				<input name="hyfrepeat-CasingTable-1-count" type="hidden" value="{count(/mvc:eForm/mvc:Data/DP_CASING_VW/record)}" xmlns="" />
			</div>
			<div class="hidden vertical" id="deleteGroup">
				<div class="formElement">
					<span class="labelBackground" id="delAction_label_container">
						<label class="label" for="delAction" id="delAction_label">Action</label>
					</span>
					<span class="defaultBackground" id="delAction_container">
						<input class="textbox" id="delAction" name="delAction" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:delAction}" />
						<input name="delAction_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:delAction" xmlns="" />
						<span id="delAction_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="delDP_ID_label_container">
						<label class="label" for="delDP_ID" id="delDP_ID_label">DP ID</label>
					</span>
					<span class="defaultBackground" id="delDP_ID_container">
						<input class="textbox" id="delDP_ID" name="delDP_ID" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:delDP_ID}" />
						<input name="delDP_ID_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:delDP_ID" xmlns="" />
						<span id="delDP_ID_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="delCasingID_label_container">
						<label class="label" for="delCasingID" id="delCasingID_label">Casing ID</label>
					</span>
					<span class="defaultBackground" id="delCasingID_container">
						<input class="textbox" id="delCasingID" name="delCasingID" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:delCasingID}" />
						<input name="delCasingID_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:delCasingID" xmlns="" />
						<span id="delCasingID_message_container"></span>
					</span>
				</div>
			</div>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc">			<out:for-each select="/mvc:eForm/mvc:Data/DP_CASING_VW/record">
				<out:variable name="casings_repeatLoopEntry" select="." />
				<out:variable name="casings_repeatLoopCount">
					<out:text>casings_repeat</out:text>
					<out:value-of select="position()" />
				</out:variable>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oStringType</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>var repeatId = '<out:value-of select="$casings_repeatLoopCount" />'; hyf.util.conditionalDisplay.setup({type:'group', name: 'layoutStringTypeOther',  repeatId: repeatId,  invert: true, condition: <xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">{ type: 'check', funcName: 'hyf.FMCondition.checkFieldValue', values: [{name: 'FieldToCheck', option: 'PageField', value: 'oStringType', repeatId: repeatId}, {name: 'Comparison', option: '==', value: ''}, {name: 'CheckValue', option: 'Static', value: 'OTHER'}] }});</xsl:text>				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oStringName</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oHoleSize</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oTopMD</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oTopTVD</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oTopMSL</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oBottomMD</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oBottomTVD</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oBottomMSL</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oCasingLengthMD</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oCasingLengthTVD</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oCasingLengthMSL</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oCasingSize</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>var repeatId = '<out:value-of select="$casings_repeatLoopCount" />'; hyf.util.conditionalDisplay.setup({type:'group', name: 'grpCasingSizeOther',  repeatId: repeatId,  invert: true, condition: <xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">{ type: 'check', funcName: 'hyf.FMCondition.checkFieldValue', values: [{name: 'FieldToCheck', option: 'PageField', value: 'oCasingSize', repeatId: repeatId}, {name: 'Comparison', option: '==', value: ''}, {name: 'CheckValue', option: 'Static', value: 'OTHER'}] }});</xsl:text>				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oCasingSizeOther</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oCasingGrade</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>var repeatId = '<out:value-of select="$casings_repeatLoopCount" />'; hyf.util.conditionalDisplay.setup({type:'group', name: 'grpGradeOther',  repeatId: repeatId,  invert: true, condition: <xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">{ type: 'check', funcName: 'hyf.FMCondition.checkFieldValue', values: [{name: 'FieldToCheck', option: 'PageField', value: 'oCasingGrade', repeatId: repeatId}, {name: 'Comparison', option: '==', value: ''}, {name: 'CheckValue', option: 'Static', value: 'OTHER'}] }});</xsl:text>				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oGradeOther</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oWeight</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oJoint</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>var repeatId = '<out:value-of select="$casings_repeatLoopCount" />'; hyf.util.conditionalDisplay.setup({type:'group', name: 'layoutJointOther',  repeatId: repeatId,  invert: true, condition: <xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">{ type: 'check', funcName: 'hyf.FMCondition.checkFieldValue', values: [{name: 'FieldToCheck', option: 'PageField', value: 'oJoint', repeatId: repeatId}, {name: 'Comparison', option: '==', value: ''}, {name: 'CheckValue', option: 'Static', value: 'OTHER'}] }});</xsl:text>				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oJointOther</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>rbCondition1</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>var repeatId = '<out:value-of select="$casings_repeatLoopCount" />'; hyf.util.conditionalDisable.setup({type:'field', name: 'rbCondition',  repeatId: repeatId, condition: <xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">{ type: 'check', funcName: 'hyf.FMCondition.checkDynamicCondition', values: [{name: 'dynamic_check', option: 'DynamicCheck', value: '</xsl:text>				<out:value-of select="boolean(/)" />
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">'}] }});</xsl:text>				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>rbCondition2</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>var repeatId = '<out:value-of select="$casings_repeatLoopCount" />'; hyf.util.conditionalDisplay.setup({type:'group', name: 'grpCondition',  repeatId: repeatId,  invert: true, condition: <xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">{ type: 'check', funcName: 'hyf.FMCondition.checkFieldValue', values: [{name: 'FieldToCheck', option: 'PageField', value: 'rbCondition', repeatId: repeatId}, {name: 'Comparison', option: '==', value: ''}, {name: 'CheckValue', option: 'Static', value: 'USED'}] }});</xsl:text>				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oConditionDoc</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>txtConditionDoc</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>rbStandard1</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>var repeatId = '<out:value-of select="$casings_repeatLoopCount" />'; hyf.util.conditionalDisable.setup({type:'field', name: 'rbStandard',  repeatId: repeatId, condition: <xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">{ type: 'check', funcName: 'hyf.FMCondition.checkDynamicCondition', values: [{name: 'dynamic_check', option: 'DynamicCheck', value: '</xsl:text>				<out:value-of select="boolean(/)" />
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">'}] }});</xsl:text>				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>rbStandard2</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>var repeatId = '<out:value-of select="$casings_repeatLoopCount" />'; hyf.util.conditionalDisplay.setup({type:'group', name: 'grpStandard',  repeatId: repeatId,  invert: true, condition: <xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">{ type: 'check', funcName: 'hyf.FMCondition.checkFieldValue', values: [{name: 'FieldToCheck', option: 'PageField', value: 'rbStandard', repeatId: repeatId}, {name: 'Comparison', option: '==', value: ''}, {name: 'CheckValue', option: 'Static', value: 'NONAPI'}] }});</xsl:text>				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oStandardDoc</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>txtStandardDoc</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oCollapseSF</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oCollapseCalc</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>field.onkeyup();</out:text>var repeatId = '<out:value-of select="$casings_repeatLoopCount" />'; hyf.util.conditionalDisable.setup({type:'field', name: 'oCollapseCalc',  repeatId: repeatId, condition: <xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">{ type: 'check', funcName: 'hyf.FMCondition.checkDynamicCondition', values: [{name: 'dynamic_check', option: 'DynamicCheck', value: '</xsl:text>				<out:value-of select="boolean(/)" />
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">'}] }});</xsl:text>				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oBurstSF</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oBurstCalc</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>field.onkeyup();</out:text>var repeatId = '<out:value-of select="$casings_repeatLoopCount" />'; hyf.util.conditionalDisable.setup({type:'field', name: 'oBurstCalc',  repeatId: repeatId, condition: <xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">{ type: 'check', funcName: 'hyf.FMCondition.checkDynamicCondition', values: [{name: 'dynamic_check', option: 'DynamicCheck', value: '</xsl:text>				<out:value-of select="boolean(/)" />
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">'}] }});</xsl:text>				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>rbJointSF1</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>var repeatId = '<out:value-of select="$casings_repeatLoopCount" />'; hyf.util.conditionalDisable.setup({type:'field', name: 'rbJointSF',  repeatId: repeatId, condition: <xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">{ type: 'check', funcName: 'hyf.FMCondition.checkDynamicCondition', values: [{name: 'dynamic_check', option: 'DynamicCheck', value: '</xsl:text>				<out:value-of select="boolean(/)" />
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">'}] }});</xsl:text>				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>rbJointSF2</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oJointSF</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oJointCalc</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','1000');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>field.onkeyup();</out:text>var repeatId = '<out:value-of select="$casings_repeatLoopCount" />'; hyf.util.conditionalDisable.setup({type:'field', name: 'oJointCalc',  repeatId: repeatId, condition: <xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">{ type: 'check', funcName: 'hyf.FMCondition.checkDynamicCondition', values: [{name: 'dynamic_check', option: 'DynamicCheck', value: '</xsl:text>				<out:value-of select="boolean(/)" />
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">'}] }});</xsl:text>				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>rbBodySF1</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>var repeatId = '<out:value-of select="$casings_repeatLoopCount" />'; hyf.util.conditionalDisable.setup({type:'field', name: 'rbBodySF',  repeatId: repeatId, condition: <xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">{ type: 'check', funcName: 'hyf.FMCondition.checkDynamicCondition', values: [{name: 'dynamic_check', option: 'DynamicCheck', value: '</xsl:text>				<out:value-of select="boolean(/)" />
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">'}] }});</xsl:text>				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>rbBodySF2</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oBodySF</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oBodyCalc</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','1000');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>field.onkeyup();</out:text>var repeatId = '<out:value-of select="$casings_repeatLoopCount" />'; hyf.util.conditionalDisable.setup({type:'field', name: 'oBodyCalc',  repeatId: repeatId, condition: <xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">{ type: 'check', funcName: 'hyf.FMCondition.checkDynamicCondition', values: [{name: 'dynamic_check', option: 'DynamicCheck', value: '</xsl:text>				<out:value-of select="boolean(/)" />
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">'}] }});</xsl:text>				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oCasingID</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oDPID</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oStringTypeID</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oSizeID</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oJointID</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$casings_repeatLoopCount" />
				<out:text>oGradeID</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			</out:for-each>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>delAction</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>delDP_ID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>delCasingID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function CasingTableonload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    var objTargetToSet = {name: 'TargetToSet', option: 'PageField', value: 'delAction'};
                    var objValueToAssign = {name: 'ValueToAssign', option: 'Static', value: ''};
                    hyf.FMAction.handleSetValue(objTargetToSet, objValueToAssign, objEventSource);
                    document.getElementById('tabFormAction').value = '';
                    setDPDocPaths('Casings');
            }
            hyf.attachEventHandler(window, 'onload', CasingTableonload);
                    
            function imageonclick(e, repeatId)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'image', repeatId: repeatId, field: document.getElementById(repeatId + 'image')};

                return dojo.hitch(objEventSource.field, function(){
                    if ((isReadOnly() == false)) {
                    updateCasing(objEventSource.repeatId);
                    var objGroup = {name: 'Group', option: 'Static', value: 'popup_CasingTable'};
                    var objAnimate = {name: 'Animate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleGroupToggle(objGroup, objAnimate, objEventSource);
                    } else {
                    }
                    })();
            }
            
            function image_2onclick(e, repeatId)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'image_2', repeatId: repeatId, field: document.getElementById(repeatId + 'image_2')};

                return dojo.hitch(objEventSource.field, function(){
                    if ((isReadOnly() == false)) {
                    deleteCasing(objEventSource.repeatId);
                    } else {
                    }
                    })();
            }
            </xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
