<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns="http://www.hyfinity.com/xstore" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">MudTable</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template match="/">
		<div class="subsection_container" id="subsection_MudTable" xmlns="">
			<out:call-template name="section_body" />
		</div>
	</out:template>
	<out:template name="css_imports">
		<link href="css/webmaker_layout.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 7]&gt;</out:text>
		<link href="css/webmaker_layout_ie_6_7.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 8]&gt;</out:text>
		<link href="css/demo_ie_only.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo_print_web.css" media="print" rel="stylesheet" type="text/css" />
		<link href="css/demo_mobile.css" media="only screen and (max-width: 1024px)" rel="stylesheet" type="text/css" />
		<link href="css/BLM.css" rel="stylesheet" type="text/css" />
		<link href="css/afmss.css" rel="stylesheet" type="text/css" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/DialogWidgetFix.js" type="text/javascript"></script>
		<script src="js/jquery.min.js" type="text/javascript"></script>
		<script src="js/DocMgmt.js" type="text/javascript"></script>
		<script src="js/APD.js" type="text/javascript"></script>
		<script src="js/Util.js" type="text/javascript"></script>
		<script src="js/DP.js" type="text/javascript"></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" >		<div _use="group" class="vertical" id="layout_Mudtable">
			<div class="repeat" id="repeat_MudTable">
				<out:for-each select="/mvc:eForm/mvc:Data/DP_CIRCULATING_MEDIUM_VW/record">
					<out:variable name="repeat_MudTableLoopEntry" select="." />
					<out:variable name="repeat_MudTableLoopCount">
						<out:text>repeat_MudTable</out:text>
						<out:value-of select="position()" />
					</out:variable>
					<out:variable name="repeat_MudTable-repeat-position-number">
						<out:value-of select="position()" />
					</out:variable>
					<table border="0" cellpadding="0" cellspacing="0" class="grid" id="{$repeat_MudTableLoopCount}two_column_grid" style="width : 100%;border: 1px solid;" summary="">
						<out:attribute name="style">
							<out:text> width : 100%;border: 1px solid;</out:text>
						</out:attribute>
						<out:attribute name="class">
							<out:text>firstRow grid</out:text>
						</out:attribute>
						<out:if test="(ceiling(position() div 1) mod 2) = 0">
							<out:attribute name="style">
								<out:text> width : 100%;border: 1px solid;</out:text>
							</out:attribute>
							<out:attribute name="class">
								<out:text>alternateRow grid</out:text>
							</out:attribute>
						</out:if>
						<tr>
							<td>
								<table border="0" cellpadding="0" cellspacing="0" class="grid" id="{$repeat_MudTableLoopCount}layout_grid" summary="">
									<out:attribute name="style">
										<out:text></out:text>
									</out:attribute>
									<out:attribute name="class">
										<out:text>firstRow grid</out:text>
									</out:attribute>
									<out:if test="(ceiling(position() div 1) mod 2) = 0">
										<out:attribute name="style">
											<out:text></out:text>
										</out:attribute>
										<out:attribute name="class">
											<out:text>alternateRow grid</out:text>
										</out:attribute>
									</out:if>
									<tr>
										<td class="labelBackground" id="{$repeat_MudTableLoopCount}oTopDepth_label_container" style="width : 162px;">
											<label class="label" for="{$repeat_MudTableLoopCount}oTopDepth" id="{$repeat_MudTableLoopCount}oTopDepth_label">Top Depth</label>
										</td>
										<td class="defaultBackground" id="{$repeat_MudTableLoopCount}oTopDepth_container">
											<out:attribute name="style">
												<out:text></out:text>
											</out:attribute>
											<out:attribute name="class">
												<out:text>firstRow defaultBackground</out:text>
											</out:attribute>
											<out:if test="(ceiling(position() div 1) mod 2) = 0">
												<out:attribute name="style">
													<out:text></out:text>
												</out:attribute>
												<out:attribute name="class">
													<out:text>alternateRow defaultBackground</out:text>
												</out:attribute>
											</out:if>
											<span class="output" id="{$repeat_MudTableLoopCount}oTopDepth">
												<out:choose>
													<out:when test="not(TOP_DEP) or (TOP_DEP = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="TOP_DEP" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="labelBackground" id="{$repeat_MudTableLoopCount}oBottomDepth_label_container" style="width : 160px;">
											<label class="label" for="{$repeat_MudTableLoopCount}oBottomDepth" id="{$repeat_MudTableLoopCount}oBottomDepth_label">Bottom Depth</label>
										</td>
										<td class="defaultBackground" id="{$repeat_MudTableLoopCount}oBottomDepth_container">
											<out:attribute name="style">
												<out:text></out:text>
											</out:attribute>
											<out:attribute name="class">
												<out:text>firstRow defaultBackground</out:text>
											</out:attribute>
											<out:if test="(ceiling(position() div 1) mod 2) = 0">
												<out:attribute name="style">
													<out:text></out:text>
												</out:attribute>
												<out:attribute name="class">
													<out:text>alternateRow defaultBackground</out:text>
												</out:attribute>
											</out:if>
											<span class="output" id="{$repeat_MudTableLoopCount}oBottomDepth">
												<out:choose>
													<out:when test="not(BTM_DEP) or (BTM_DEP = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="BTM_DEP" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="labelBackground" id="{$repeat_MudTableLoopCount}oMudType_label_container" style="width : 122px;">
											<label class="label" for="{$repeat_MudTableLoopCount}oMudType" id="{$repeat_MudTableLoopCount}oMudType_label">Mud Type</label>
										</td>
										<td class="defaultBackground" id="{$repeat_MudTableLoopCount}oMudType_container">
											<out:attribute name="style">
												<out:text></out:text>
											</out:attribute>
											<out:attribute name="class">
												<out:text>firstRow defaultBackground</out:text>
											</out:attribute>
											<out:if test="(ceiling(position() div 1) mod 2) = 0">
												<out:attribute name="style">
													<out:text></out:text>
												</out:attribute>
												<out:attribute name="class">
													<out:text>alternateRow defaultBackground</out:text>
												</out:attribute>
											</out:if>
											<span class="output" id="{$repeat_MudTableLoopCount}oMudType">
												<out:choose>
													<out:when test="not(MUD_TY) or (MUD_TY = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="MUD_TY" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
									</tr>
									<tr>
										<td class="labelBackground" id="{$repeat_MudTableLoopCount}oMinWeight_label_container" style="width : 162px;">
											<label class="label" for="{$repeat_MudTableLoopCount}oMinWeight" id="{$repeat_MudTableLoopCount}oMinWeight_label">Min Weight (lbs./gal.)</label>
										</td>
										<td class="defaultBackground" id="{$repeat_MudTableLoopCount}oMinWeight_container">
											<out:attribute name="style">
												<out:text></out:text>
											</out:attribute>
											<out:attribute name="class">
												<out:text>firstRow defaultBackground</out:text>
											</out:attribute>
											<out:if test="(ceiling(position() div 1) mod 2) = 0">
												<out:attribute name="style">
													<out:text></out:text>
												</out:attribute>
												<out:attribute name="class">
													<out:text>alternateRow defaultBackground</out:text>
												</out:attribute>
											</out:if>
											<span class="output" id="{$repeat_MudTableLoopCount}oMinWeight">
												<out:choose>
													<out:when test="not(MIN_WGT) or (MIN_WGT = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="MIN_WGT" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="labelBackground" id="{$repeat_MudTableLoopCount}oMaxWeight_label_container" style="width : 160px;">
											<label class="label" for="{$repeat_MudTableLoopCount}oMaxWeight" id="{$repeat_MudTableLoopCount}oMaxWeight_label">Max Weight (lbs./gal.)</label>
										</td>
										<td class="defaultBackground" id="{$repeat_MudTableLoopCount}oMaxWeight_container">
											<out:attribute name="style">
												<out:text></out:text>
											</out:attribute>
											<out:attribute name="class">
												<out:text>firstRow defaultBackground</out:text>
											</out:attribute>
											<out:if test="(ceiling(position() div 1) mod 2) = 0">
												<out:attribute name="style">
													<out:text></out:text>
												</out:attribute>
												<out:attribute name="class">
													<out:text>alternateRow defaultBackground</out:text>
												</out:attribute>
											</out:if>
											<span class="output" id="{$repeat_MudTableLoopCount}oMaxWeight">
												<out:choose>
													<out:when test="not(MAX_WGT) or (MAX_WGT = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="MAX_WGT" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="labelBackground" id="{$repeat_MudTableLoopCount}oCharacteristics_label_container" style="width : 122px;">
											<label class="label" for="{$repeat_MudTableLoopCount}oCharacteristics" id="{$repeat_MudTableLoopCount}oCharacteristics_label">Characteristics</label>
										</td>
										<td class="defaultBackground" id="{$repeat_MudTableLoopCount}oCharacteristics_container">
											<out:attribute name="style">
												<out:text></out:text>
											</out:attribute>
											<out:attribute name="class">
												<out:text>firstRow defaultBackground</out:text>
											</out:attribute>
											<out:if test="(ceiling(position() div 1) mod 2) = 0">
												<out:attribute name="style">
													<out:text></out:text>
												</out:attribute>
												<out:attribute name="class">
													<out:text>alternateRow defaultBackground</out:text>
												</out:attribute>
											</out:if>
											<span class="output" id="{$repeat_MudTableLoopCount}oCharacteristics">
												<out:choose>
													<out:when test="not(MUD_CHAR) or (MUD_CHAR = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="MUD_CHAR" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table border="0" cellpadding="0" cellspacing="0" class="grid" id="{$repeat_MudTableLoopCount}two_column_2" style="width : 110px; vertical-align : middle;border-left: 1px solid; background-color : #f0f0f0;" summary="">
									<out:attribute name="style">
										<out:text> width : 110px; vertical-align : middle;border-left: 1px solid; background-color : #f0f0f0;</out:text>
									</out:attribute>
									<out:attribute name="class">
										<out:text>firstRow grid</out:text>
									</out:attribute>
									<out:if test="(ceiling(position() div 1) mod 2) = 0">
										<out:attribute name="style">
											<out:text> width : 110px; vertical-align : middle;border-left: 1px solid; background-color : #f0f0f0;</out:text>
										</out:attribute>
										<out:attribute name="class">
											<out:text>alternateRow grid</out:text>
										</out:attribute>
									</out:if>
									<tr>
										<td class="vertical" id="{$repeat_MudTableLoopCount}layout_group_2" style="vertical-align : middle; width : 50px;">
											<out:attribute name="style">
												<out:text> vertical-align : middle; width : 50px;</out:text>
											</out:attribute>
											<out:attribute name="class">
												<out:text>firstRow vertical</out:text>
											</out:attribute>
											<out:if test="(ceiling(position() div 1) mod 2) = 0">
												<out:attribute name="style">
													<out:text> vertical-align : middle; width : 50px;</out:text>
												</out:attribute>
												<out:attribute name="class">
													<out:text>alternateRow vertical</out:text>
												</out:attribute>
											</out:if>
											<div class="formElement">
												<span class="defaultBackground" id="{$repeat_MudTableLoopCount}image_2_container">
													<out:attribute name="style">
														<out:text></out:text>
													</out:attribute>
													<out:attribute name="class">
														<out:text>firstRow defaultBackground</out:text>
													</out:attribute>
													<out:if test="(ceiling(position() div 1) mod 2) = 0">
														<out:attribute name="style">
															<out:text></out:text>
														</out:attribute>
														<out:attribute name="class">
															<out:text>alternateRow defaultBackground</out:text>
														</out:attribute>
													</out:if>
													<img alt="Edit" class="image clickable" id="{$repeat_MudTableLoopCount}image_2" name="{$repeat_MudTableLoopCount}image_2" onclick="return image_2onclick((typeof(event) != 'undefined') ? event : arguments[0], '{$repeat_MudTableLoopCount}');" src="images/Edit.gif" />
												</span>
												<div class="labelBackground" id="{$repeat_MudTableLoopCount}image_2_label_container" style="width : 60px;">
													<label class="label" for="{$repeat_MudTableLoopCount}image_2" id="{$repeat_MudTableLoopCount}image_2_label">Edit</label>
												</div>
											</div>
										</td>
										<td class="vertical" id="{$repeat_MudTableLoopCount}layout_group" style="vertical-align : middle; width : 50px;">
											<out:attribute name="style">
												<out:text> vertical-align : middle; width : 50px;</out:text>
											</out:attribute>
											<out:attribute name="class">
												<out:text>firstRow vertical</out:text>
											</out:attribute>
											<out:if test="(ceiling(position() div 1) mod 2) = 0">
												<out:attribute name="style">
													<out:text> vertical-align : middle; width : 50px;</out:text>
												</out:attribute>
												<out:attribute name="class">
													<out:text>alternateRow vertical</out:text>
												</out:attribute>
											</out:if>
											<div class="formElement">
												<span class="defaultBackground" id="{$repeat_MudTableLoopCount}image_container">
													<out:attribute name="style">
														<out:text></out:text>
													</out:attribute>
													<out:attribute name="class">
														<out:text>firstRow defaultBackground</out:text>
													</out:attribute>
													<out:if test="(ceiling(position() div 1) mod 2) = 0">
														<out:attribute name="style">
															<out:text></out:text>
														</out:attribute>
														<out:attribute name="class">
															<out:text>alternateRow defaultBackground</out:text>
														</out:attribute>
													</out:if>
													<img alt="Delete" class="image clickable" id="{$repeat_MudTableLoopCount}image" name="{$repeat_MudTableLoopCount}image" onclick="return imageonclick((typeof(event) != 'undefined') ? event : arguments[0], '{$repeat_MudTableLoopCount}');" src="images/Del.gif" />
												</span>
												<div class="labelBackground" id="{$repeat_MudTableLoopCount}image_label_container" style="width : 60px;">
													<label class="label" for="{$repeat_MudTableLoopCount}image" id="{$repeat_MudTableLoopCount}image_label">Delete</label>
												</div>
											</div>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td> </td>
							<td> </td>
						</tr>
					</table>
					<div class="hidden vertical" id="{$repeat_MudTableLoopCount}hiddenIDs">
						<out:attribute name="style">
							<out:text></out:text>
						</out:attribute>
						<out:attribute name="class">
							<out:text>firstRow hidden vertical</out:text>
						</out:attribute>
						<out:if test="(ceiling(position() div 1) mod 2) = 0">
							<out:attribute name="style">
								<out:text></out:text>
							</out:attribute>
							<out:attribute name="class">
								<out:text>alternateRow hidden vertical</out:text>
							</out:attribute>
						</out:if>
						<div class="formElement">
							<span class="labelBackground" id="{$repeat_MudTableLoopCount}CIRC_MED_ID_label_container">
								<label class="label" for="{$repeat_MudTableLoopCount}CIRC_MED_ID" id="{$repeat_MudTableLoopCount}CIRC_MED_ID_label">Mud ID<span class="mandatory" id="{$repeat_MudTableLoopCount}CIRC_MED_ID_marker" style="" title="Mandatory field marker"> * </span>
								</label>
							</span>
							<span class="defaultBackground" id="{$repeat_MudTableLoopCount}CIRC_MED_ID_container">
								<out:attribute name="style">
									<out:text></out:text>
								</out:attribute>
								<out:attribute name="class">
									<out:text>firstRow defaultBackground</out:text>
								</out:attribute>
								<out:if test="(ceiling(position() div 1) mod 2) = 0">
									<out:attribute name="style">
										<out:text></out:text>
									</out:attribute>
									<out:attribute name="class">
										<out:text>alternateRow defaultBackground</out:text>
									</out:attribute>
								</out:if>
								<input class="textbox" id="{$repeat_MudTableLoopCount}CIRC_MED_ID" maxLength="0" name="{$repeat_MudTableLoopCount}CIRC_MED_ID" type="text" value="{CIRC_MED_ID}" />
								<input name="xgf_{$repeat_MudTableLoopCount}CIRC_MED_ID_xpath_xga_saveAPD_DP5" type="hidden" value="enter_xpath_here[{$repeat_MudTable-repeat-position-number}]/mvc:CIRC_MED_ID" xmlns="" />
								<input name="xgf_{$repeat_MudTableLoopCount}CIRC_MED_ID_xpath_xga_loadMud_xga_loadMud_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:repeat_MudTable[{$repeat_MudTable-repeat-position-number}]/mvc:CIRC_MED_ID" xmlns="" />
								<span id="{$repeat_MudTableLoopCount}CIRC_MED_ID_message_container"></span>
							</span>
						</div>
					</div>
				</out:for-each>
				<input name="xgf_hyfrepeat-MudTable-1-location_xga_saveAPD_DP5" type="hidden" value="enter_xpath_here" xmlns="" />
				<input name="xgf_hyfrepeat-MudTable-1-location_xga_loadMud_xga_loadMud_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:repeat_MudTable" xmlns="" />
				<input name="hyfrepeat-MudTable-1-count" type="hidden" value="{count(/mvc:eForm/mvc:Data/DP_CIRCULATING_MEDIUM_VW/record)}" xmlns="" />
			</div>
			<div class="hidden vertical" id="deleteGroup">
				<div class="formElement">
					<span class="labelBackground" id="delMudID_label_container">
						<label class="label" for="delMudID" id="delMudID_label">DelMudID</label>
					</span>
					<span class="defaultBackground" id="delMudID_container">
						<input class="textbox" id="delMudID" name="delMudID" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:delMudID}" />
						<input name="xgf_delMudID_xpath_xga_loadMud_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:delMudID" xmlns="" />
						<span id="delMudID_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="delDPID_label_container">
						<label class="label" for="delDPID" id="delDPID_label">DP ID</label>
					</span>
					<span class="defaultBackground" id="delDPID_container">
						<input class="textbox" id="delDPID" name="delDPID" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:delDPID}" />
						<input name="delDPID_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:delDPID" xmlns="" />
						<span id="delDPID_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="delAction_label_container">
						<label class="label" for="delAction" id="delAction_label">DelAction</label>
					</span>
					<span class="defaultBackground" id="delAction_container">
						<input class="textbox" id="delAction" name="delAction" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:delAction}" />
						<input name="xgf_delAction_xpath_xga_loadMud_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:delAction" xmlns="" />
						<span id="delAction_message_container"></span>
					</span>
				</div>
			</div>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc">			<out:for-each select="/mvc:eForm/mvc:Data/DP_CIRCULATING_MEDIUM_VW/record">
				<out:variable name="repeat_MudTableLoopEntry" select="." />
				<out:variable name="repeat_MudTableLoopCount">
					<out:text>repeat_MudTable</out:text>
					<out:value-of select="position()" />
				</out:variable>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeat_MudTableLoopCount" />
				<out:text>oTopDepth</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeat_MudTableLoopCount" />
				<out:text>oBottomDepth</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeat_MudTableLoopCount" />
				<out:text>oMudType</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeat_MudTableLoopCount" />
				<out:text>oMinWeight</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeat_MudTableLoopCount" />
				<out:text>oMaxWeight</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeat_MudTableLoopCount" />
				<out:text>oCharacteristics</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeat_MudTableLoopCount" />
				<out:text>CIRC_MED_ID</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','0');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','true');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			</out:for-each>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>delMudID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>delDPID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>delAction</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function MudTableonbeforeload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    var objFunction = {name: 'Function', option: 'Static', value: 'require'};
                    var objParameters = {name: 'Parameters', option: 'Script', value: '[&quot;dijit/form/NumberTextBox&quot;]'};
                    hyf.FMAction.handleFunctionCall(objFunction, objParameters, objEventSource);
            }
            MudTableonbeforeload();
            function MudTableonload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    document.getElementById('tabAction').value = '';
                    var objTargetToSet = {name: 'TargetToSet', option: 'PageField', value: 'delAction'};
                    var objValueToAssign = {name: 'ValueToAssign', option: 'Static', value: ''};
                    hyf.FMAction.handleSetValue(objTargetToSet, objValueToAssign, objEventSource);
            }
            hyf.attachEventHandler(window, 'onload', MudTableonload);
                    
            function image_2onclick(e, repeatId)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'image_2', repeatId: repeatId, field: document.getElementById(repeatId + 'image_2')};

                return dojo.hitch(objEventSource.field, function(){
                    if ((isReadOnly() == false)) {
                    updateMud(objEventSource.repeatId);
                    var objGroup = {name: 'Group', option: 'Static', value: 'popup_MudTable'};
                    var objAnimate = {name: 'Animate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleGroupToggle(objGroup, objAnimate, objEventSource);
                    } else {
                    }
                    })();
            }
            
            function imageonclick(e, repeatId)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'image', repeatId: repeatId, field: document.getElementById(repeatId + 'image')};

                return dojo.hitch(objEventSource.field, function(){
                    if ((isReadOnly() == false)) {
                    deleteMud(objEventSource.repeatId);
                    } else {
                    }
                    })();
            }
            </xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
