<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns="http://www.hyfinity.com/xstore" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">APD_DPSect6</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template match="/">
		<div class="subsection_container" id="subsection_APD_DPSect6" xmlns="">
			<out:call-template name="section_body" />
		</div>
	</out:template>
	<out:template name="css_imports">
		<link href="css/webmaker_layout.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 7]&gt;</out:text>
		<link href="css/webmaker_layout_ie_6_7.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 8]&gt;</out:text>
		<link href="css/demo_ie_only.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo_print_web.css" media="print" rel="stylesheet" type="text/css" />
		<link href="css/demo_mobile.css" media="only screen and (max-width: 1024px)" rel="stylesheet" type="text/css" />
		<link href="css/BLM.css" rel="stylesheet" type="text/css" />
		<link href="css/afmss.css" rel="stylesheet" type="text/css" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/DialogWidgetFix.js" type="text/javascript"></script>
		<script src="js/jquery.min.js" type="text/javascript"></script>
		<script src="js/DocMgmt.js" type="text/javascript"></script>
		<script src="js/APD.js" type="text/javascript"></script>
		<script src="js/Util.js" type="text/javascript"></script>
		<script src="js/DP.js" type="text/javascript"></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" >		<xform:instance id="saveAPD_DP6" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<DRILLING_PLAN_SEC6_VW xmlns="">
						<record>
							<APP_ID />
							<APD_ID />
							<DRLNG_PLN_ID />
							<PROD_TST_LIST />
							<OPN_CSE_HOLE_WELL_LOG_LIST />
							<CRNG_OPS_DESC />
						</record>
					</DRILLING_PLAN_SEC6_VW>
					<formData>
						<sectionPct />
						<pagePct />
					</formData>
				</Data>
			</eForm>
		</xform:instance>
		<div _use="group" class="vertical" id="DPSect6">
			<fieldset class="fieldsetGroup vertical" id="grpSection6">
				<legend class="groupLabelOutside fieldsetGroupLabelBackground" id="grpSection6_label_container">
					<span class="label" id="grpSection6_label">Section 6 - Test, Logging, Coring</span>
				</legend>
				<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid" summary="">
					<tr>
						<td class="labelBackground" id="txtProdTests_label_container" style="width : 430px; vertical-align : middle;">
							<label class="label" for="txtProdTests" id="txtProdTests_label">List of production tests including testing procedures, equipment and safety measures *</label>
						</td>
						<td class="defaultBackground" colspan="3" id="txtProdTests_container">
							<textarea class="textbox" cols="40" id="txtProdTests" name="txtProdTests" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="" style="width : 670px;" title="List of production tests the operator is proposing to run in the well, including testing procedures, equipment and safety measures">
								<out:value-of select="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC6_VW/record/PROD_TST_LIST" />
							</textarea>
							<input name="xgf_txtProdTests_xpath_xga_saveAPD_DP6" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC6_VW/record/PROD_TST_LIST" xmlns="" />
							<input name="xgf_txtProdTests_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtProdTests" xmlns="" />
							<span id="txtProdTests_message_container"></span>
						</td>
					</tr>
					<tr>
						<td colspan="2"> </td>
						<td> </td>
						<td> </td>
					</tr>
					<tr>
						<td class="labelBackground" id="txtHoleLogs_label_container" style="width : 430px; vertical-align : middle;">
							<label class="label" for="txtHoleLogs" id="txtHoleLogs_label">List of open and cased hole logs run in the well *</label>
						</td>
						<td class="defaultBackground" colspan="3" id="txtHoleLogs_container">
							<textarea class="textbox" cols="40" id="txtHoleLogs" name="txtHoleLogs" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="" style="width : 670px;" title="List of open and cased hole well logs the operator is proposing to run in the well">
								<out:value-of select="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC6_VW/record/OPN_CSE_HOLE_WELL_LOG_LIST" />
							</textarea>
							<input name="xgf_txtHoleLogs_xpath_xga_saveAPD_DP6" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC6_VW/record/OPN_CSE_HOLE_WELL_LOG_LIST" xmlns="" />
							<input name="xgf_txtHoleLogs_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtHoleLogs" xmlns="" />
							<span id="txtHoleLogs_message_container"></span>
						</td>
					</tr>
					<tr>
						<td colspan="2"> </td>
						<td> </td>
						<td> </td>
					</tr>
					<tr>
						<td class="labelBackground" id="txtCoring_label_container" style="width : 430px; vertical-align : middle;">
							<label class="label" for="txtCoring" id="txtCoring_label">Coring operation description for the well *</label>
						</td>
						<td class="defaultBackground" colspan="3" id="txtCoring_container">
							<textarea class="textbox" cols="100" id="txtCoring" name="txtCoring" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="2" style="width : 670px;" title="Description of coring operations the operator is proposing for the well">
								<out:value-of select="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC6_VW/record/CRNG_OPS_DESC" />
							</textarea>
							<input name="xgf_txtCoring_xpath_xga_saveAPD_DP6" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC6_VW/record/CRNG_OPS_DESC" xmlns="" />
							<input name="xgf_txtCoring_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtCoring" xmlns="" />
							<span id="txtCoring_message_container"></span>
						</td>
					</tr>
				</table>
			</fieldset>
			<div class="hidden vertical" id="hide">
				<div class="formElement">
					<span class="labelBackground" id="DRLNG_PLN_ID_label_container">
						<label class="label" for="DRLNG_PLN_ID" id="DRLNG_PLN_ID_label">DRLNG PLN ID</label>
					</span>
					<span class="defaultBackground" id="DRLNG_PLN_ID_container">
						<input class="textbox" id="DRLNG_PLN_ID" maxLength="0" name="DRLNG_PLN_ID" size="0" type="text" value="{/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC6_VW/record/DRLNG_PLN_ID}" />
						<input name="xgf_DRLNG_PLN_ID_xpath_xga_saveAPD_DP6" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC6_VW/record/DRLNG_PLN_ID" xmlns="" />
						<input name="xgf_DRLNG_PLN_ID_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:DRLNG_PLN_ID" xmlns="" />
						<span id="DRLNG_PLN_ID_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="sectionPct_label_container">
						<label class="label" for="sectionPct" id="sectionPct_label">SectPct</label>
					</span>
					<span class="defaultBackground" id="sectionPct_container">
						<input class="textbox" id="sectionPct" name="sectionPct" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:sectionPct}" />
						<input name="sectionPct_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:sectionPct" xmlns="" />
						<span id="sectionPct_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="pagePct_label_container">
						<label class="label" for="pagePct" id="pagePct_label">PagePct</label>
					</span>
					<span class="defaultBackground" id="pagePct_container">
						<input class="textbox" id="pagePct" name="pagePct" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:pagePct}" />
						<input name="pagePct_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:pagePct" xmlns="" />
						<span id="pagePct_message_container"></span>
					</span>
				</div>
			</div>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc">			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtProdTests</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','4000');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtHoleLogs</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','4000');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtCoring</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','4000');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>DRLNG_PLN_ID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>sectionPct</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>pagePct</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function APD_DPSect6onbeforeload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    var objFunction = {name: 'Function', option: 'Static', value: 'require'};
                    var objParameters = {name: 'Parameters', option: 'Script', value: '[&quot;dijit/form/NumberTextBox&quot;]'};
                    hyf.FMAction.handleFunctionCall(objFunction, objParameters, objEventSource);
            }
            APD_DPSect6onbeforeload();</xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
