<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns="http://www.hyfinity.com/xstore" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">APD_DPSect7</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template match="/">
		<div class="subsection_container" id="subsection_APD_DPSect7" xmlns="">
			<out:call-template name="section_body" />
		</div>
	</out:template>
	<out:template name="css_imports">
		<link href="css/webmaker_layout.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 7]&gt;</out:text>
		<link href="css/webmaker_layout_ie_6_7.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 8]&gt;</out:text>
		<link href="css/demo_ie_only.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo_print_web.css" media="print" rel="stylesheet" type="text/css" />
		<link href="css/demo_mobile.css" media="only screen and (max-width: 1024px)" rel="stylesheet" type="text/css" />
		<link href="css/BLM.css" rel="stylesheet" type="text/css" />
		<link href="css/afmss.css" rel="stylesheet" type="text/css" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/DialogWidgetFix.js" type="text/javascript"></script>
		<script src="js/jquery.min.js" type="text/javascript"></script>
		<script src="js/DocMgmt.js" type="text/javascript"></script>
		<script src="js/APD.js" type="text/javascript"></script>
		<script src="js/Util.js" type="text/javascript"></script>
		<script src="js/DP.js" type="text/javascript"></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" xmlns:xfact="http://www.hyfinity.com/xfactory" >		<xform:instance id="saveAPD_DP7" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<numBHP />
						<txtH2SDrillingPlan />
						<sectionPct />
						<pagePct />
					</formData>
					<DRILLING_PLAN_SEC7_VW xmlns="">
						<record>
							<APP_ID />
							<APD_ID />
							<WELL_ID />
							<WELL_CLS_ID />
							<NR_OF_MULTILAT_LEGS />
							<DRLNG_PLN_ID />
							<MSTR_PLN_ID />
							<BLWT_PRVNTR_PRESS_RTNG />
							<BLWT_PRVNTR_EQUIP />
							<BLWT_PRVNTR_TSTNG_PROC />
							<REQNG_PRVNTR_VRNC />
							<BLWT_PRVNTR_VRNC_REQ />
							<BLWT_PRVNTR_DIAG_FILE_PTH />
							<ANT_BTM_HOLE_PRESS />
							<ANT_SURF_PRESS_CALC />
							<WELL_CNTL_MIT_MECH />
							<MUD_MNTR_SYS_USED />
							<USE_OF_AIR_OR_GAS_SYS />
							<AIR_OR_GAS_EQPMNT_DESC />
							<AIR_GAS_EQPMNT_DIAG_FILE_PTH />
							<MUD_SYS_TY />
							<PROD_TST_LIST />
							<OPN_CSE_HOLE_WELL_LOG_LIST />
							<CRNG_OPS_DESC />
							<ANT_ABNML_PRS_TMP_GEO_HAZ />
							<ANT_ABNML_PRS_TMP_GEO_HAZ_DESC />
							<GEO_HAZ_CONT_PLAN_DESC />
							<HYDRGN_SUL_OP_PLAN_REQ />
							<HYDRGN_SUL_OP_PLAN_FILE_PTH />
							<PRPSE_HOZ_DIR_MLTLAT_PLN_SBMSN />
							<OTH_OP_FACET_DESC />
							<OTH_OP_FACET_DESC_FILE_PTH />
							<CONT_PLN_ID />
							<CONT_PLAN_FILE_PTH />
						</record>
					</DRILLING_PLAN_SEC7_VW>
				</Data>
			</eForm>
		</xform:instance>
		<div _use="group" class="vertical" id="DPSect7">
			<fieldset class="fieldsetGroup vertical" id="grpSection7">
				<legend class="groupLabelOutside fieldsetGroupLabelBackground" id="grpSection7_label_container">
					<span class="label" id="grpSection7_label">Section 7 - Pressure</span>
				</legend>
				<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid" summary="">
					<tr>
						<td class="labelBackground" id="numBHP_label_container" style="width : 290px;">
							<label class="label" for="numBHP" id="numBHP_label">Anticipated Bottom Hole Pressure *</label>
						</td>
						<td class="defaultBackground" id="numBHP_container">
							<input class="textbox" id="numBHP" name="numBHP" onchange="return numBHPonchange((typeof(event) != 'undefined') ? event : arguments[0]);" style="width : 75px;" title="The anticipated bottom hole pressure (ABHP) that the well will encounter at total depth, expressed in pounds per square inch" type="text" value="{/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_BTM_HOLE_PRESS}" />
							<input name="xgf_numBHP_xpath_xga_saveAPD_DP7" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_BTM_HOLE_PRESS" xmlns="" />
							<input name="xgf_numBHP_xpath_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:numBHP" xmlns="" />
							<span id="numBHP_message_container"></span>
						</td>
						<td class="labelBackground" id="oASP_label_container" style="width : 222px;">
							<label class="label" for="oASP" id="oASP_label">Anticipated Surface Pressure</label>
						</td>
						<td class="defaultBackground" colspan="2" id="oASP_container">
							<span class="output" id="oASP">
								<out:choose>
									<out:when test="not(/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_SURF_PRESS_CALC) or (/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_SURF_PRESS_CALC = '')">
										<out:text disable-output-escaping="yes">&amp;#160;</out:text>
									</out:when>
									<out:otherwise>
										<out:value-of select="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_SURF_PRESS_CALC" />
									</out:otherwise>
								</out:choose>
							</span>
						</td>
					</tr>
					<tr>
						<td class="labelBackground" id="rbAbnormalPressure_label_container" style="width : 290px; vertical-align : middle;">
							<label class="label" for="rbAbnormalPressure1" id="rbAbnormalPressure_label">Anticipated abnormal pressures, temperatures, or potential geologic hazards? *</label>
						</td>
						<td class="defaultBackground" id="rbAbnormalPressure_container" style="vertical-align : middle;">
							<table border="0" cellpadding="0" cellspacing="0" class="selectBooleanTable">
								<tr>
									<td class="selectBoolean">
										<input id="rbAbnormalPressure1" name="rbAbnormalPressure" type="radio" value="YES">
											<out:if test="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_ABNML_PRS_TMP_GEO_HAZ = 'YES'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
									</td>
									<td class="selectBooleanCaption labelAfter">
										<label class="radio" for="rbAbnormalPressure1">Yes</label>
									</td>
								</tr>
								<tr>
									<td class="selectBoolean">
										<input id="rbAbnormalPressure2" name="rbAbnormalPressure" type="radio" value="NO">
											<out:if test="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_ABNML_PRS_TMP_GEO_HAZ = 'NO'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
										<input name="xgf_rbAbnormalPressure_xpath_xga_saveAPD_DP7" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_ABNML_PRS_TMP_GEO_HAZ" xmlns="" />
										<input name="xgf_rbAbnormalPressure_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbAbnormalPressure" xmlns="" />
									</td>
									<td class="selectBooleanCaption labelAfter">
										<label class="radio" for="rbAbnormalPressure2">No</label>
									</td>
								</tr>
							</table>
							<input id="rbAbnormalPressure_value_if_not_submitted" name="rbAbnormalPressure_value_if_not_submitted" type="hidden" value="" />
							<span id="rbAbnormalPressure_message_container"></span>
						</td>
						<td class="vertical" colspan="3" id="layoutAbnormalPressures">
							<div class="formElement">
								<span class="labelBackground" id="txtAbnormal_label_container" style="width : 98px;">
									<label class="label" for="txtAbnormal" id="txtAbnormal_label">Describe *</label>
								</span>
								<span class="defaultBackground" id="txtAbnormal_container">
									<textarea class="textbox" cols="40" id="txtAbnormal" name="txtAbnormal" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="" style="width : 415px;" title="Description of any anticipated abnormal pressures, temperatures or potential geologic hazards including but not limited to sloughing coal, geologic structural fault, salt zones which exhibit plastic flow, loss of drilling fluid circulation, etc.">
										<out:value-of select="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_ABNML_PRS_TMP_GEO_HAZ_DESC" />
									</textarea>
									<input name="xgf_txtAbnormal_xpath_xga_saveAPD_DP7" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_ABNML_PRS_TMP_GEO_HAZ_DESC" xmlns="" />
									<input name="xgf_txtAbnormal_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtAbnormal" xmlns="" />
									<span class="hintIcon" id="txtAbnormal_message_container" onmousemove="hyf.util.showTipMessage(arguments[0]);" onmouseout="hyf.util.hideTipMessage(arguments[0]);">
&#160;&#160;&#160;&#160;&#160;&#160;									</span>
								</span>
							</div>
						</td>
					</tr>
					<tr>
						<td colspan="5">
							<fieldset class="fieldsetInnerGroup vertical" id="group_info">
								<div class="formElement">
									<span class="labelBackground" id="txtGeoContingency_label_container" style="width : 340px; vertical-align : middle;">
										<label class="label" for="txtGeoContingency" id="txtGeoContingency_label">Contingency  Plans geohazards description</label>
									</span>
									<span class="defaultBackground" id="txtGeoContingency_container">
										<textarea class="textbox" cols="70" id="txtGeoContingency" name="txtGeoContingency" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="2" title="Contingency Plans for all identified geohazards">
											<out:value-of select="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/GEO_HAZ_CONT_PLAN_DESC" />
										</textarea>
										<input name="xgf_txtGeoContingency_xpath_xga_saveAPD_DP7" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/GEO_HAZ_CONT_PLAN_DESC" xmlns="" />
										<input name="xgf_txtGeoContingency_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtGeoContingency" xmlns="" />
										<span id="txtGeoContingency_message_container"></span>
									</span>
								</div>
								<div class="formElement">
									<span class="labelBackground" id="output_4_label_container" style="text-align : center;">
										<label class="label" for="output_4" id="output_4_label" style="font-style : italic;">or</label>
									</span>
									<span class="defaultBackground" id="output_4_container">
										<span class="output" id="output_4">
											<out:choose>
												<out:when test="not(/mvc:eForm/mvc:Data/mvc:formData/mvc:output_4) or (/mvc:eForm/mvc:Data/mvc:formData/mvc:output_4 = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="/mvc:eForm/mvc:Data/mvc:formData/mvc:output_4" />
												</out:otherwise>
											</out:choose>
										</span>
									</span>
								</div>
								<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="layoutGeohazardContingency" summary="">
									<tr>
										<td class="labelBackground" id="oGeohazardContingency_label_container">
											<label class="label" for="oGeohazardContingency" id="oGeohazardContingency_label">Contingency  Plans geohazards attachment:</label>
										</td>
										<td class="defaultBackground" id="oGeohazardContingency_container">
											<span class="output" id="oGeohazardContingency" title="Contingency Plans for all identified geohazards">
												<out:choose>
													<out:when test="not(/mvc:eForm/mvc:Data/mvc:formData/mvc:oGeohazardContingency) or (/mvc:eForm/mvc:Data/mvc:formData/mvc:oGeohazardContingency = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="/mvc:eForm/mvc:Data/mvc:formData/mvc:oGeohazardContingency" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="hidden vertical" id="layoutFilePath">
											<div class="formElement">
												<span class="defaultBackground" id="txtGeohazardContingency_container">
													<input class="textbox" id="txtGeohazardContingency" name="txtGeohazardContingency" type="text" value="{/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/CONT_PLAN_FILE_PTH}" />
													<input name="xgf_txtGeohazardContingency_xpath_xga_saveAPD_DP7" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/CONT_PLAN_FILE_PTH" xmlns="" />
													<span id="txtGeohazardContingency_message_container"></span>
												</span>
											</div>
										</td>
										<td>
											<div class="customControl" id="divGeohazardContingency" xmlns="http://www.hyfinity.com/xfactory">
												<input id="docGeohazardContingency" name="docGeohazardContingency" onChange="updtFileName(10485760,'GeohazardContingency')" size="10" type="file" />
											</div>
										</td>
									</tr>
								</table>
							</fieldset>
						</td>
					</tr>
					<tr>
						<td class="labelBackground" id="rbH2S_label_container" style="width : 290px;">
							<label class="label" for="rbH2S1" id="rbH2S_label">Hydrogen sulfide drilling operations plan required? *</label>
						</td>
						<td class="defaultBackground" id="rbH2S_container">
							<table border="0" cellpadding="0" cellspacing="0" class="selectBooleanTable">
								<tr>
									<td class="selectBoolean">
										<input id="rbH2S1" name="rbH2S" title="Indicates whether the hydrogen sulfide drilling operations plan is required" type="radio" value="YES">
											<out:if test="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/HYDRGN_SUL_OP_PLAN_REQ = 'YES'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
									</td>
									<td class="selectBooleanCaption labelAfter">
										<label class="radio" for="rbH2S1">Yes</label>
									</td>
									<td class="selectBoolean">
										<input id="rbH2S2" name="rbH2S" title="Indicates whether the hydrogen sulfide drilling operations plan is required" type="radio" value="NO">
											<out:if test="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/HYDRGN_SUL_OP_PLAN_REQ = 'NO'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
										<input name="xgf_rbH2S_xpath_xga_saveAPD_DP7" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/HYDRGN_SUL_OP_PLAN_REQ" xmlns="" />
										<input name="xgf_rbH2S_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbH2S" xmlns="" />
									</td>
									<td class="selectBooleanCaption labelAfter">
										<label class="radio" for="rbH2S2">No</label>
									</td>
								</tr>
							</table>
							<input id="rbH2S_value_if_not_submitted" name="rbH2S_value_if_not_submitted" type="hidden" value="" />
							<span id="rbH2S_message_container"></span>
						</td>
						<td colspan="2"> </td>
						<td> </td>
					</tr>
					<tr>
						<td colspan="5">
							<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="grpHS" summary="">
								<tr>
									<td>
										<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="layoutHS2DrillingPlan" summary="">
											<tr>
												<td class="labelBackground" id="oH2SDrillingPlan_label_container">
													<label class="label" for="oH2SDrillingPlan" id="oH2SDrillingPlan_label">Hydrogen sulfide drilling operations plan *</label>
												</td>
												<td class="defaultBackground" id="oH2SDrillingPlan_container">
													<span class="output" id="oH2SDrillingPlan" title="A hydrogen sulfide drilling operations plan, as required by, and described in Onshore Oil and Gas Order No. 6">
														<out:choose>
															<out:when test="not(/mvc:eForm/mvc:Data/mvc:formData/mvc:oH2SDrillingPlan) or (/mvc:eForm/mvc:Data/mvc:formData/mvc:oH2SDrillingPlan = '')">
																<out:text disable-output-escaping="yes">&amp;#160;</out:text>
															</out:when>
															<out:otherwise>
																<out:value-of select="/mvc:eForm/mvc:Data/mvc:formData/mvc:oH2SDrillingPlan" />
															</out:otherwise>
														</out:choose>
													</span>
												</td>
												<td class="hidden vertical" id="layoutFilePath_2">
													<div class="formElement">
														<span class="defaultBackground" id="txtH2SDrillingPlan_container">
															<input class="textbox" id="txtH2SDrillingPlan" name="txtH2SDrillingPlan" type="text" value="{/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/HYDRGN_SUL_OP_PLAN_FILE_PTH}" />
															<input name="xgf_txtH2SDrillingPlan_xpath_xga_saveAPD_DP7" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/HYDRGN_SUL_OP_PLAN_FILE_PTH" xmlns="" />
															<span id="txtH2SDrillingPlan_message_container"></span>
														</span>
													</div>
												</td>
												<td>
													<div class="customControl" id="divH2SDrillingPlan" xmlns="http://www.hyfinity.com/xfactory">
														<input id="docH2SDrillingPlan" name="docH2SDrillingPlan" onChange="updtFileName(10485760,'H2SDrillingPlan')" size="10" type="file" />
													</div>
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</fieldset>
			<div class="hidden vertical" id="hiddenVals">
				<div class="formElement">
					<span class="labelBackground" id="DRLNG_PLN_ID_label_container">
						<label class="label" for="DRLNG_PLN_ID" id="DRLNG_PLN_ID_label">DRLNG PLN ID</label>
					</span>
					<span class="defaultBackground" id="DRLNG_PLN_ID_container">
						<input class="textbox" id="DRLNG_PLN_ID" maxLength="0" name="DRLNG_PLN_ID" size="0" type="text" value="{/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/DRLNG_PLN_ID}" />
						<input name="xgf_DRLNG_PLN_ID_xpath_xga_saveAPD_DP7" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/DRLNG_PLN_ID" xmlns="" />
						<input name="xgf_DRLNG_PLN_ID_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:DRLNG_PLN_ID" xmlns="" />
						<span id="DRLNG_PLN_ID_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="numSurfacePressure_label_container">
						<label class="label" for="numSurfacePressure" id="numSurfacePressure_label">ANT SURF PRESS CALC</label>
					</span>
					<span class="defaultBackground" id="numSurfacePressure_container">
						<input class="textbox" id="numSurfacePressure" maxLength="0" name="numSurfacePressure" size="0" type="text" value="{/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_SURF_PRESS_CALC}" />
						<input name="xgf_numSurfacePressure_xpath_xga_saveAPD_DP7" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_SURF_PRESS_CALC" xmlns="" />
						<input name="xgf_numSurfacePressure_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:numSurfacePressure" xmlns="" />
						<span id="numSurfacePressure_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="sectionPct_label_container">
						<label class="label" for="sectionPct" id="sectionPct_label">Sectpct</label>
					</span>
					<span class="defaultBackground" id="sectionPct_container">
						<input class="textbox" id="sectionPct" name="sectionPct" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:sectionPct}" />
						<input name="sectionPct_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:sectionPct" xmlns="" />
						<span id="sectionPct_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="pagePct_label_container">
						<label class="label" for="pagePct" id="pagePct_label">Pagepct</label>
					</span>
					<span class="defaultBackground" id="pagePct_container">
						<input class="textbox" id="pagePct" name="pagePct" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:pagePct}" />
						<input name="pagePct_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:pagePct" xmlns="" />
						<span id="pagePct_message_container"></span>
					</span>
				</div>
			</div>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" xmlns:xfact="http://www.hyfinity.com/xfactory">			<out:text>
            field = document.getElementById('</out:text>
			<out:text>numBHP</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','999999');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_regularExpression','^[0-9]{1,6}$');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>oASP</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbAbnormalPressure1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','3');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbAbnormalPressure2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','3');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'layoutAbnormalPressures',  invert: true, condition: <xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">{ type: 'check', funcName: 'hyf.FMCondition.checkFieldValue', values: [{name: 'FieldToCheck', option: 'PageField', value: 'rbAbnormalPressure'}, {name: 'Comparison', option: '==', value: ''}, {name: 'CheckValue', option: 'Static', value: 'YES'}] }});</xsl:text>			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtAbnormal</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','4000');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text disable-output-escaping="yes">field = document.getElementById('</out:text>
			<out:text disable-output-escaping="yes">txtAbnormal_message_container');
                field.setAttribute('_hintClass','hintIcon');field.setAttribute('_hintMessage','Description of any anticipated abnormal pressures, temperatures or potential geologic hazards including but not limited to sloughing coal, geologic structural fault, salt zones which exhibit plastic flow, loss of drilling fluid circulation, etc.');field.setAttribute('_hintMessageShow','true');field.setAttribute('_tipMessage','Description of any anticipated abnormal pressures, temperatures or potential geologic hazards including but not limited to sloughing coal, geologic structural fault, salt zones which exhibit plastic flow, loss of drilling fluid circulation, etc.');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtGeoContingency</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','4000');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>output_4</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>oGeohazardContingency</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtGeohazardContingency</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbH2S1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','3');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbH2S2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','3');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpHS',  invert: true, condition: <xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">{ type: 'check', funcName: 'hyf.FMCondition.checkFieldValue', values: [{name: 'FieldToCheck', option: 'PageField', value: 'rbH2S'}, {name: 'Comparison', option: '==', value: ''}, {name: 'CheckValue', option: 'Static', value: 'YES'}] }});</xsl:text>			<out:text>
            field = document.getElementById('</out:text>
			<out:text>oH2SDrillingPlan</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtH2SDrillingPlan</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>DRLNG_PLN_ID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>numSurfacePressure</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>sectionPct</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>pagePct</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function APD_DPSect7onbeforeload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    var objFunction = {name: 'Function', option: 'Static', value: 'require'};
                    var objParameters = {name: 'Parameters', option: 'Script', value: '[&quot;dijit/form/NumberTextBox&quot;]'};
                    hyf.FMAction.handleFunctionCall(objFunction, objParameters, objEventSource);
            }
            APD_DPSect7onbeforeload();
            function APD_DPSect7onload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    if (hyf.FMCondition.checkFieldValue({name: 'FieldToCheck', option: 'PageField', value: 'numBHP'}, {name: 'Comparison', option: '!=', value: ''}, {name: 'CheckValue', option: 'Static', value: ''}, objEventSource)) {
                    document.getElementById('oASP').innerHTML = parseFloat(document.getElementById('numBHP').value)-(.22*128);
document.getElementById('numSurfacePressure').value = parseFloat(document.getElementById('numBHP').value)-(.22*128);
                    } else {
                    }
                    setFilePath('GeohazardContingency');
setFilePath('H2SDrillingPlan');
            }
            hyf.attachEventHandler(window, 'onload', APD_DPSect7onload);
                    
            function numBHPonchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'numBHP', field: document.getElementById('numBHP')};

                return dojo.hitch(objEventSource.field, function(){
                    document.getElementById('oASP').innerHTML = parseFloat(document.getElementById('numBHP').value)-(.22*128);
document.getElementById('numSurfacePressure').value = parseFloat(document.getElementById('numBHP').value)-(.22*128);
                    })();
            }
            </xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
