<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns="http://www.hyfinity.com/xstore" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">APD_DPSect8</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template match="/">
		<div class="subsection_container" id="subsection_APD_DPSect8" xmlns="">
			<out:call-template name="section_body" />
		</div>
	</out:template>
	<out:template name="css_imports">
		<link href="css/webmaker_layout.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 7]&gt;</out:text>
		<link href="css/webmaker_layout_ie_6_7.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 8]&gt;</out:text>
		<link href="css/demo_ie_only.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo_print_web.css" media="print" rel="stylesheet" type="text/css" />
		<link href="css/demo_mobile.css" media="only screen and (max-width: 1024px)" rel="stylesheet" type="text/css" />
		<link href="css/BLM.css" rel="stylesheet" type="text/css" />
		<link href="css/afmss.css" rel="stylesheet" type="text/css" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/DialogWidgetFix.js" type="text/javascript"></script>
		<script src="js/jquery.min.js" type="text/javascript"></script>
		<script src="js/DocMgmt.js" type="text/javascript"></script>
		<script src="js/APD.js" type="text/javascript"></script>
		<script src="js/Util.js" type="text/javascript"></script>
		<script src="js/DP.js" type="text/javascript"></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" xmlns:xfact="http://www.hyfinity.com/xfactory" >		<xform:instance id="saveAPD_DP8" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<DRILLING_PLAN_SEC8_VW xmlns="">
						<record>
							<APP_ID />
							<APD_ID />
							<WELL_ID />
							<WELL_CLS_ID />
							<NR_OF_MULTILAT_LEGS />
							<DRLNG_PLN_ID />
							<MSTR_PLN_ID />
							<BLWT_PRVNTR_PRESS_RTNG />
							<BLWT_PRVNTR_EQUIP />
							<BLWT_PRVNTR_TSTNG_PROC />
							<REQNG_PRVNTR_VRNC />
							<BLWT_PRVNTR_VRNC_REQ />
							<BLWT_PRVNTR_DIAG_FILE_PTH />
							<ANT_BTM_HOLE_PRESS />
							<ANT_SURF_PRESS_CALC />
							<WELL_CNTL_MIT_MECH />
							<MUD_MNTR_SYS_USED />
							<USE_OF_AIR_OR_GAS_SYS />
							<AIR_OR_GAS_EQPMNT_DESC />
							<AIR_GAS_EQPMNT_DIAG_FILE_PTH />
							<MUD_SYS_TY />
							<PROD_TST_LIST />
							<OPN_CSE_HOLE_WELL_LOG_LIST />
							<CRNG_OPS_DESC />
							<ANT_ABNML_PRS_TMP_GEO_HAZ />
							<ANT_ABNML_PRS_TMP_GEO_HAZ_DESC />
							<GEO_HAZ_CONT_PLAN_DESC />
							<HYDRGN_SUL_OP_PLAN_REQ />
							<HYDRGN_SUL_OP_PLAN_FILE_PTH />
							<PRPSE_HOZ_DIR_MLTLAT_PLN_SBMSN />
							<OTH_OP_FACET_DESC />
							<OTH_OP_FACET_DESC_FILE_PTH />
							<WELL_CLS_NM />
							<WELL_CLS_DESC />
						</record>
					</DRILLING_PLAN_SEC8_VW>
					<formData>
						<DPid />
						<sectionPct />
						<pagePct />
					</formData>
				</Data>
			</eForm>
		</xform:instance>
		<div _use="group" class="vertical" id="DPSect8">
			<fieldset class="fieldsetGroup vertical" id="grpSection8">
				<legend class="groupLabelOutside fieldsetGroupLabelBackground" id="grpSection8_label_container">
					<span class="label" id="grpSection8_label">Section 8 - Other Information</span>
				</legend>
				<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid" summary="">
					<tr>
						<td> </td>
						<td> </td>
						<td> </td>
					</tr>
					<tr>
						<td colspan="3">
							<table border="0" cellpadding="0" cellspacing="0" class="hidden grid" id="layout_grid_2" summary="">
								<tr>
									<td class="labelBackground" id="rbWellClass_label_container" style="width : 105px; vertical-align : middle;">
										<label class="label" for="rbWellClass1" id="rbWellClass_label">Well Class</label>
									</td>
									<td class="defaultBackground" id="rbWellClass_container">
										<out:variable name="totalCount" select="count(/mvc:eForm/mvc:Data/WELL_CLASS_REF_VW/record)" />
										<out:for-each select="/mvc:eForm/mvc:Data/WELL_CLASS_REF_VW/record">
											<out:variable name="number" select="position()" />
											<out:choose>
												<out:when test="$number = 1">
													<out:text disable-output-escaping="yes">&lt;table cellspacing=&quot;0&quot; cellpadding=&quot;0&quot; border=&quot;0&quot;&gt;&lt;tr&gt;</out:text>
												</out:when>
												<out:when test="(2 = 1) or (($number mod 2) = 1)">
													<out:text disable-output-escaping="yes">&lt;/tr&gt;&lt;tr&gt;</out:text>
												</out:when>
											</out:choose>
											<td class="selectBoolean" xmlns="">
												<input id="rbWellClass{$number}" name="rbWellClass" type="radio" value="{WELL_CLS_ID}">
													<out:if test="WELL_CLS_ID = /mvc:eForm/mvc:Data/DRILLING_PLAN_SEC8_VW/record/WELL_CLS_ID">
														<out:attribute name="checked">checked</out:attribute>
													</out:if>
													<out:if test="/">
														<out:attribute name="disabled">disabled</out:attribute>
														<out:attribute name="class">
															<out:text>disabled</out:text>
														</out:attribute>
														<out:attribute name="data-wm-disable-base-class">
															<out:text>radio</out:text>
														</out:attribute>
													</out:if>
												</input>
											</td>
											<td class="selectBooleanCaption labelAfter" xmlns="">
												<label class="radio" for="rbWellClass{$number}">
													<out:value-of select="WELL_CLS_NM" />
												</label>
											</td>
											<out:if test="$number = $totalCount">
												<out:text disable-output-escaping="yes">&lt;/tr&gt;&lt;/table&gt;</out:text>
											</out:if>
										</out:for-each>
										<input name="xgf_rbWellClass_xpath_xga_saveAPD_DP8" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC8_VW/record/WELL_CLS_ID" xmlns="" />
										<input name="xgf_rbWellClass_xpath_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbWellClass" xmlns="" />
										<input id="rbWellClass_value_if_not_submitted" name="rbWellClass_value_if_not_submitted" type="hidden" value="">
											<out:if test="/">
												<out:attribute name="disabled">disabled</out:attribute>
												<out:attribute name="class">
													<out:text>disabled</out:text>
												</out:attribute>
											</out:if>
										</input>
										<span class="hintIcon" id="rbWellClass_message_container" onmousemove="hyf.util.showTipMessage(arguments[0]);" onmouseout="hyf.util.hideTipMessage(arguments[0]);">
&#160;&#160;&#160;&#160;&#160;&#160;										</span>
									</td>
									<td class="vertical" id="layoutNumLegs" style="vertical-align : middle;">
										<div class="formElement">
											<span class="labelBackground" id="txtNumLegs_label_container">
												<label class="label" for="txtNumLegs" id="txtNumLegs_label">Number of Legs</label>
											</span>
											<span class="defaultBackground" id="txtNumLegs_container">
												<span class="output" id="txtNumLegs">
													<out:choose>
														<out:when test="not(/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC8_VW/record/NR_OF_MULTILAT_LEGS) or (/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC8_VW/record/NR_OF_MULTILAT_LEGS = '')">
															<out:text disable-output-escaping="yes">&amp;#160;</out:text>
														</out:when>
														<out:otherwise>
															<out:value-of select="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC8_VW/record/NR_OF_MULTILAT_LEGS" />
														</out:otherwise>
													</out:choose>
												</span>
											</span>
										</div>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td colspan="3">
							<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="layoutDirectionalPlan" summary="">
								<tr>
									<td class="labelBackground" id="oDirectionalPlan_label_container">
										<label class="label" for="oDirectionalPlan" id="oDirectionalPlan_label">Proposed horizontal/directional/multi-lateral plan submission *</label>
									</td>
									<td class="defaultBackground" id="oDirectionalPlan_container">
										<span class="output" id="oDirectionalPlan" title="A proposed plan view and vertical section in true vertical and measured depths when the well class equals “Directional” , “Horizontal” and “Multi Lateral”">
											<out:choose>
												<out:when test="not(/mvc:eForm/mvc:Data/mvc:formData/mvc:oDirectionalPlan) or (/mvc:eForm/mvc:Data/mvc:formData/mvc:oDirectionalPlan = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="/mvc:eForm/mvc:Data/mvc:formData/mvc:oDirectionalPlan" />
												</out:otherwise>
											</out:choose>
										</span>
									</td>
									<td class="hidden vertical" id="layoutFilePath">
										<div class="formElement">
											<span class="defaultBackground" id="txtDirectionalPlan_container">
												<input class="textbox" id="txtDirectionalPlan" name="txtDirectionalPlan" type="text" value="{/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC8_VW/record/PRPSE_HOZ_DIR_MLTLAT_PLN_SBMSN}" />
												<input name="xgf_txtDirectionalPlan_xpath_xga_saveAPD_DP8" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC8_VW/record/PRPSE_HOZ_DIR_MLTLAT_PLN_SBMSN" xmlns="" />
												<span id="txtDirectionalPlan_message_container"></span>
											</span>
										</div>
									</td>
									<td>
										<div class="customControl" id="divDirectionalPlan" xmlns="http://www.hyfinity.com/xfactory">
											<input id="docDirectionalPlan" name="docDirectionalPlan" onChange="updtFileName(10485760,'DirectionalPlan')" size="10" type="file" />
										</div>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td colspan="3">
							<fieldset class="fieldsetInnerGroup  vertical" id="group_info_2">
								<div class="formElement">
									<span class="labelBackground" id="txtOtherFacets_label_container" style="width : 428px;">
										<label class="label" for="txtOtherFacets" id="txtOtherFacets_label">Other proposed operations facets description</label>
									</span>
									<span class="defaultBackground" id="txtOtherFacets_container">
										<textarea class="textbox" cols="100" id="txtOtherFacets" name="txtOtherFacets" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="" title="Description in an uploaded file of other facets for the proposed operation that the operator would like the BLM to consider in reviewing the application, such as drilling technique (e.g. coiled tubing operations), anticipated spud dates, estimated time to drill and complete the well, etc.)">
											<out:value-of select="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC8_VW/record/OTH_OP_FACET_DESC" />
										</textarea>
										<input name="xgf_txtOtherFacets_xpath_xga_saveAPD_DP8" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC8_VW/record/OTH_OP_FACET_DESC" xmlns="" />
										<input name="xgf_txtOtherFacets_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtOtherFacets" xmlns="" />
										<span id="txtOtherFacets_message_container"></span>
									</span>
								</div>
								<div class="formElement">
									<span class="labelBackground" id="output_3_label_container" style="text-align : center;">
										<label class="label" for="output_3" id="output_3_label" style="font-style : italic;">or</label>
									</span>
									<span class="defaultBackground" id="output_3_container">
										<span class="output" id="output_3">
											<out:choose>
												<out:when test="not(/mvc:eForm/mvc:Data/mvc:formData/mvc:output_3) or (/mvc:eForm/mvc:Data/mvc:formData/mvc:output_3 = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="/mvc:eForm/mvc:Data/mvc:formData/mvc:output_3" />
												</out:otherwise>
											</out:choose>
										</span>
									</span>
								</div>
								<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="layoutOtherDPFacets" summary="">
									<tr>
										<td class="labelBackground" id="oOtherDPFacets_label_container">
											<label class="label" for="oOtherDPFacets" id="oOtherDPFacets_label">Other proposed operations facets attachment</label>
										</td>
										<td class="defaultBackground" id="oOtherDPFacets_container">
											<span class="output" id="oOtherDPFacets" title="Description in an uploaded file of other facets for the proposed operation that the operator would like the BLM to consider in reviewing the application, such as drilling technique (e.g. coiled tubing operations), anticipated spud dates, estimated time to drill and complete the well, etc.)">
												<out:choose>
													<out:when test="not(/mvc:eForm/mvc:Data/mvc:formData/mvc:oOtherDPFacets) or (/mvc:eForm/mvc:Data/mvc:formData/mvc:oOtherDPFacets = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="/mvc:eForm/mvc:Data/mvc:formData/mvc:oOtherDPFacets" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="hidden vertical" id="layoutFilePath_2">
											<div class="formElement">
												<span class="defaultBackground" id="txtOtherDPFacets_container">
													<input class="textbox" id="txtOtherDPFacets" name="txtOtherDPFacets" type="text" value="{/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC8_VW/record/OTH_OP_FACET_DESC_FILE_PTH}" />
													<input name="xgf_txtOtherDPFacets_xpath_xga_saveAPD_DP8" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC8_VW/record/OTH_OP_FACET_DESC_FILE_PTH" xmlns="" />
													<span id="txtOtherDPFacets_message_container"></span>
												</span>
											</div>
										</td>
										<td>
											<div class="customControl" id="divOtherDPFacets" xmlns="http://www.hyfinity.com/xfactory">
												<input id="docOtherDPFacets" name="docOtherDPFacets" onChange="updtFileName(10485760,'OtherDPFacets')" size="10" type="file" />
											</div>
										</td>
									</tr>
								</table>
							</fieldset>
						</td>
					</tr>
				</table>
				<div class="hidden vertical" id="layout_group">
					<div class="formElement">
						<span class="labelBackground" id="DPid_label_container">
							<label class="label" for="DPid" id="DPid_label">DP id</label>
						</span>
						<span class="defaultBackground" id="DPid_container">
							<input class="textbox" id="DPid" name="DPid" type="text" value="{/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC8_VW/record/DRLNG_PLN_ID}" />
							<input name="xgf_DPid_xpath_xga_saveAPD_DP8" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC8_VW/record/DRLNG_PLN_ID" xmlns="" />
							<input name="xgf_DPid_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:DPid" xmlns="" />
							<span id="DPid_message_container"></span>
						</span>
					</div>
					<div class="formElement">
						<span class="labelBackground" id="sectionPct_label_container">
							<label class="label" for="sectionPct" id="sectionPct_label">Sect pct</label>
						</span>
						<span class="defaultBackground" id="sectionPct_container">
							<input class="textbox" id="sectionPct" name="sectionPct" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:sectionPct}" />
							<input name="sectionPct_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:sectionPct" xmlns="" />
							<span id="sectionPct_message_container"></span>
						</span>
					</div>
					<div class="formElement">
						<span class="labelBackground" id="pagePct_label_container">
							<label class="label" for="pagePct" id="pagePct_label">pagePct</label>
						</span>
						<span class="defaultBackground" id="pagePct_container">
							<input class="textbox" id="pagePct" name="pagePct" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:pagePct}" />
							<input name="pagePct_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:pagePct" xmlns="" />
							<span id="pagePct_message_container"></span>
						</span>
					</div>
				</div>
			</fieldset>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" xmlns:xfact="http://www.hyfinity.com/xfactory">			<out:for-each select="/mvc:eForm/mvc:Data/WELL_CLASS_REF_VW/record">
				<out:text>
            field = document.getElementById('</out:text>
				<out:text>rbWellClass</out:text>
				<out:value-of select="position()" />
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:if test="position() = 1">hyf.util.conditionalDisable.setup({type:'field', name: 'rbWellClass', condition: <xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">{ type: 'check', funcName: 'hyf.FMCondition.checkDynamicCondition', values: [{name: 'dynamic_check', option: 'DynamicCheck', value: '</xsl:text>					<out:value-of select="boolean(/)" />
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">'}] }});</xsl:text>				</out:if>
			</out:for-each>
			<out:text disable-output-escaping="yes">field = document.getElementById('</out:text>
			<out:text disable-output-escaping="yes">rbWellClass_message_container');
                field.setAttribute('_hintClass','hintIcon');field.setAttribute('_hintMessage','This value is modified on the Application - Section 2 (Well Information) screen');field.setAttribute('_hintMessageShow','true');field.setAttribute('_tipMessage','This value is modified on the Application - Section 2 (Well Information) screen');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'layoutNumLegs',  invert: true, condition: <xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">{ type: 'check', funcName: 'hyf.FMCondition.checkFieldValue', values: [{name: 'FieldToCheck', option: 'PageField', value: 'rbWellClass'}, {name: 'Comparison', option: '==', value: ''}, {name: 'CheckValue', option: 'Static', value: '6'}] }});</xsl:text>			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtNumLegs</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'layoutDirectionalPlan',  invert: true, condition: <xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">{ type: 'check', funcName: 'hyf.FMCondition.checkFieldValue', values: [{name: 'FieldToCheck', option: 'PageField', value: 'rbWellClass'}, {name: 'Comparison', option: '==', value: ''}, {name: 'CheckValue', option: 'Static', value: '2;3;4;5;6'}] }});</xsl:text>			<out:text>
            field = document.getElementById('</out:text>
			<out:text>oDirectionalPlan</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtDirectionalPlan</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtOtherFacets</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>output_3</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>oOtherDPFacets</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtOtherDPFacets</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>DPid</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>sectionPct</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>pagePct</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function APD_DPSect8onbeforeload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    var objFunction = {name: 'Function', option: 'Static', value: 'require'};
                    var objParameters = {name: 'Parameters', option: 'Script', value: '[&quot;dijit/form/NumberTextBox&quot;]'};
                    hyf.FMAction.handleFunctionCall(objFunction, objParameters, objEventSource);
            }
            APD_DPSect8onbeforeload();
            function APD_DPSect8onload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    setFilePath('OtherDPFacets');
setFilePath('DirectionalPlan');
            }
            hyf.attachEventHandler(window, 'onload', APD_DPSect8onload);
                    </xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
